# Phatch - Photo Batch Processor
# Copyright (C) 2007-2008  www.stani.be
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/
#
# Embedded icons (48x48) are from NuoveXt 1.6:
# - Author: Alexandre Moore
# - Author website: http://nuovext.pwsp.net/
# - Icon website: http://www.gnome-look.org/content/show.php?content=26448
# - Icon download: http://www.gnome-look.org/content/download.php?
# content=26448&id=1&tan=15504822&PHPSESSID=34ec3de1af33e253ee03357a124bfbeb
# - License: GPL
#
# Follow PEP8

import wx
from lib.pyWx import graphics


class Provider(wx.ArtProvider):
    def CreateBitmap(self, artid, client, size):
        if artid in PROVIDER:
            return graphics.bitmap(PROVIDER[artid])
        else:
            return wx.NullBitmap

PROVIDER = {}

#---wx.ART_ADD_BOOKMARK
PROVIDER[wx.ART_ADD_BOOKMARK] = \
'x\xda\x01\xe7\x06\x18\xf9\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \
\x00\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08\
|\x08d\x88\x00\x00\x06\x9eIDATX\x85\xcdVkl\\G\x15\xfe\xce\xcc\xdc\xdd\xeb}x\
\xfd\x8c\x1f\xb5\x9d\xd4Mb\xb7\x0e1I\ri\xa1\xe1!\x85\xa2"\xa1\x84\xa2\xf0\
\x8f\xa8\x8eZQB\x14)HD\xadT\xa1\x08\xf5GA\x02\x83RB\xa3\xf4G\xe5\xfc\xa9P\
\x11\x81F<\xea"!R\x1a\x81\x93F\x81l#\x97\xd8\x9b8~\xc7\xbb\xde]{w\xef\xddy\
\xf1\xc3\xae\x95\xf5\xda\x8d\xdb\n\x95\x91\x8et5s\x1e\xdf\x99s\xee7\x87\xac\
\xb5\xf8$\x17\xfbD\xa3\xff?\x00\x10\x1fF\xf9\x877v8)us\xb7\xb1\xe6k \xdbe\r\
\xea\x00\x80\x18fa)\xce\x88\xfd\xa1Fl<\xff\xa3M\x97\xe5z}\xd2zz\xe0\xfb#ma\
\xcfd\x8f\x16\xe7\xcd\xd1\xcc\xa8\xa9)L\x08T\x99V\x04\x11\x05g\x0e|\x9aG\x96\
\x8dA4\xe4\x11kc\xa9@\x94\xf5\xb9\xac\xb2\xefg\xed\xa3\xb9\x8f\r\xe0\xd0\x7f\
\xaa\xf7\xc8\xbc\xee\xbf\xfdo\xddT\xbb\xb0\r;7}\x19\x1b\xeb;\xc0Y\xe9\xe5Yk0\
\x96\x1c\xc1\xe0\xc8\x1b\xb8\x1d\xfe\x17\xea?\xc5\'\x9d\x10?pr\xcb\xdc\x9b\
\x1f\x19\xc0w\xde\x8d\x1d.\xcc\xea\xbe\xec\xe5\xa8\xf8\xea\x03\xbd\xd8T\x7f\
\xff\xdd\x12\x02\x00$f\xe2\xf8\xf3\xb5W\x10\xdb\xb1\xa0*\xea\xf8\xd1S\x0fd^\
\xfc\xd0\x00\x9e\xba\x12\xfb\xf6\xc2\xb4\xee7\xd7\x1b\xf1\xf8\x83\x87\x11\t\
\xc6\xca\x95\xdeoaS~\x94-\xa4\xf0\x9bK\'\xe0l\x9dE\xa4\x81\x1f8\xdd\x9d9\xb3\
n\x00O^\x8a\xf5\xf8Y}>\x7f\xad\xca}|\xc7a\x84\x82Q\x00\x80\x08\x11\x02!\xc2\
\xf0\xfc%\xb8,\x02\xa3\x01\xab\x01\xa3\x01O\xce\xa3\xb3\xb9\x072oQ\xcc-\xfa\
\x9c/\xcc\xe1\xb7\x97_D\xb4k\xc1\x0bV\xf2\xdd/?\x98\xb9\xb82V\xd9_\xf0\xfa\
\xc4q\x92\xbe9\x91\x1a\x82\xfb\xd8\xfd\xdf\x82\x10\x0e(\xec#T\xc3\xc1\x1dZL\
\xbc\x00\x1c\xec\xf8y\x89\xdd/\xfe\xf9$DTBD\x81\xa0\xb2\xc8\xa74\x82\xda\xc5\
\x17;\xbf\x89\x81\xa1W\xdc\xfa\xed\xe6\xc4\xeb\x13\xc7?\xf7\xf5\xe6\xe3%\x19\
\x97\xf1\xc0k\xc3}\xfbr\xd3\xf6\xa1\xadu\x9fAU\xa4\x06\xe1&\x85p\x83\x069E\
\x18\xf80\xf0aW\xbbs\xe8\xe5s\x88"B\x1b4\xa2-\x1a\xf5\xd5Mh\xaf\xfe4r\xd3\
\xf6\xa1\xd7\x86\xfb\xf6\xad\xb4*\x03\xa0\xa5>(\xd3\x0c\x1d\xcd;\x11k\xb5p"\
\x1a\x06\xb2DV+\xba\x85\x81A\xb1DD\x85Bu\xab\xc5\xb6\xb6]\x90i\x06-\xf5\xc1\
\x0f\x04\xf0\xc4@CD\xe6\xed\x9e\xe6\xca\xcd\xa8kq!\\]\xe6\xd4\xa0\x08\x0b\
\xbd\x06\x00Y&,\xa0\xd1\xd0\x16Fs\xe5f\xc8\xbc\xdd\xf3\xc4@C\xe4N\xbb\x92\
\x1e\xf0\x8a\x85]\xca\x83{_\xeb\x16\x84+\x01@\xe2\x96\xf7\x1e\xa0\x03\xb0\
\x1a\xb0\xda\xc2h\xc0(\xa7\x0c\x80\xf2\x08\xf1kC0jQ\xcfj\x00\x8e\xc4\xf6\xed\
\x9d\x08\x86\x81-\x1b\xb7\xe0\xef7\x86\\\x8f\n\xbb\x00\xfceU\x00Z\x9av2\x1c\
\xf74m\x80\xa5E6uY\x0c\x07\x1a_.\x0b\xb8r\xfd\xe0\x0b\xfde{?}\xf3 \xb0\xe4\
\xa7\xb5\xb9\x114\xc2\xa0\xa5i\xbf\x13@I\t\xb4D\xc4u\xc2\x08G8\x00\xb5$\x1f\
\xfd\xb9.\xdayx&\x05\x0b\x89P\x88\xc1\r\x84\xa0%JJP\x02\xc0H\xf8\x8c\x13\x84\
\xd0\x8b\xc8i\xf5\x86[\xef\xd2\xf0\x914W!\x91\x061\x85@\x80\xc3H\xf8k\x02\
\xb0\xd2\x8e\xe5\xbc,<\x93\x04H-\xca\xc7\xb8\x01\x06\x06\x87q\xe4\xec8$2(\
\xf8yXi\xc7\xee\xd4)%"\xc3/J_\xd9Y/A\r\xe1{\x11\xa0\x08<L\xe1\xf4\xc47`\x0c\
\xa0\x95\x82T\x1e\xc8\xaf\xc6\x91\xae_\x97\x98\xfe\xf8o\xfb\xa1\x9d\xd9ev\
\xb4\x1a0n\x1a\x01\x16\x03PDZ&\x90_\x90\x16\x86\x97\xb0a\t\x80\xdf\xf5f\'\
\x1e{)489\x9b\xfalM8\x02eS\xa8\x0f\x05\x00(X\xab\x978\x00\x98\x98\xcc\x94g[\
\x91\xc1}\x9d+\x89\xb5n\xf9\xebV2\x89b\xce\x0e\xfe\xf1\xe9\xecD\xe9-\xadXV\
\xe2\xd5\xa1\xeb\xd30\xc6B0\x02#\tF\n\x9cY8L\xc0a\x02\x8c\xa8\x1c\x00\xb1\
\xe5\xf3\x95B`xwh\x12V\xe2\xd52\xbb\x95\x1b.\x8f\x9eJ\x8e\xfa\xe3\x97o\x8e\
\xc0a\x0e\x02\xbc\\\x18\x95Or\x8c\xd8\xaa\xba\x01\xee >v\x13S\x89\xdc\xb8\
\xcb\xa3\xa7\xee\n\xe0\xec\xa1\xe9\xbc\xf2\xe8\xd9\xab\xefL\xe1\xe2\xad!\x08\
\x12\x080\xa7D\xd6\x04\xb0B\xcf!\x07W\'\x13\x18\xfc\xc7(\x94G\xcf\x9e=4\x9d_\
i\xb7\xe6<\xf0\xa5\xe7+~U\xdb\xc1\x9e\xde\xba\xad\x16\x9fo\xedF\xcc\r/\x9f]\
\x1b\x9f\x84Sl+y\x8e\x8b|\x14\xdd\x1dM\xcb:\xb9b\x01o\x8f]E\xfc\xca\x14\x92C\
\xe6\xa5\xbf>W\xf8\xeejq\xd6\x1cJ\xeb\xc2\xcdGf\xe2\xe3\x8dF%\xf7\xa5\xe4yl\
\xaejAWm;j+*\xd1\xdd\xda\x8a\xf2\xdf\xb3\x15\x00\x90\xf1s\x88\'\x13xon\x14SW\
}$\x87\xf4\xd9\r\xb1{\x8e\xac\x15\xe7\x03G\xb2\xef\x9d\xfe\n\xbbr\xe3\xad\
\xe7\xc3Mx\xa6q\xa7\xa0`\x8c\x10q*\xd0\x14\xaaCe \x0c\x97\x07@D\xf0T\x11\xf3\
2\x8f\xa9\xfc,2\xc5\x1c\xfc\x8c\xc5\xd4;\xca\xe6&\xf1B\xf7\xa6G\x9e\xfb\xe5S\
\x03k\xb2\xd9\xba\xa6\xe2\xdd\xcfD\x1e6\xa4~R\xd5\xce\x1e\xa9\xba\x97!\xd2\
\xcc\xc0x\xa9\x8e\xd1\xc0\xc2\x84A:a\x90\x1e1o1+\x8e\x9d\x7fa\xe1\xc2\xdd|\
\xaf\n\xe0\xe4\xc9\x93488H\xc3\xc3\xc3,\x93\xc9P\xa1P\xa0\xa2\xf2X\xdd\xa3\
\xb3\x0fs\xd7\xec\x15.\x1eukh\xb3p\xc9\x01\x00\xe5Y\xe9\xa5\xecu\xe5\xe1\r\
\xed\xb1\xdf\xdf\xfeS\xed\xdb\x8e\x08Z\xd7uMUU\x95mii1\x9d\x9d\x9dv\xff\xfe\
\xfd\xb6\xab\xab\xab\x1c\xc0\xb1c\xc7\xd8\xc0\xc0\x00\x9f\x99\x99\x11\x85B\
\xc1QJ\t\xad\xb5c\x8c\x11\xd6Za\xad\x15\x00\x84\xb5\x96/}s\x1e\x84\x13j@%,\
\x90\x9f\xc1\xbc\xf6!\x01h\x00\x9a1\xa6\x01("\x92D\xa4\x88Hq\xce\xa5\x10B\
\xb9\xae+\xab\xab\xabUOO\x8f\xea\xef\xef7"\x1e\x8f#\x1e\x8fS:\x9df\x9e\xe7\t\
\xad5\xd7Z\x8b\xa5\xe0\xce\x92\x08k\xad\x83\xc5\xa6\x15\x00\x84\xf6\xc1\xb37\
\xad\xb2\xd6\x12c,\x08\xc0\xc1\xd2\x13j\x8cQD\xc4\x96\x12d\x8c1\xd2zq\x88\
\xf1}\xdff\xb3Y\x93H$\xd8\x85\x0b\x17LI\t\xce\x9c9C\xe7\xce\x9d\xa3D"\xc1\
\xe6\xe6\xe6X>\x9f\xe7\xc5b\x91)\xa5\xb81\x86\x19c8\x002\xc6\x10\x169\xe4}J\
\xb4\x00,\x11Y"2\x8c1\xc3\x183\x9cs\x1d\x08\x04\xf4R)L[[\x9b\xd9\xbbw\xaf\
\xe9\xed\xed]\x0e\xba\xae&\xfc_\xae\xff\x02\xc5{W\xc9\xe5\x8ct\xf8\x00\x00\
\x00\x00IEND\xaeB`\x82%\xdaW\x14'

#---wx.ART_COPY
PROVIDER[wx.ART_COPY] = \
'x\xda\x01\xa1\x03^\xfc\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x03XIDATX\x85\xc5W=O\x1bA\x10}3w\x1b\x03\x85\x95\x08$$\xda\
P\xa4\x88\xd28\ruD\x91"\xff ?\x822\x05\xbf\x81\x8a\x1f@\x87DC\x17\x89\x8a\
\x82\x8a"\x12\x94\x91\xe8\x90,\x84\x90\x8c8\x8c\xc1\xb7\xbb\x93\xe2\xbcfw\
\xbdwgKQ2\xd2\xe9\xd6\xeb\xddyo\xde\xcc~\x1c\x89\x08\xfe\xa7\xe5\x8b\x0c>==\
\xa5\xeb\xebk\x0c\x87C\x0c\x87C\xbc\xbc\xbc\xa0\xdf\xef\xd3h4\x82\xd6\x1a\
\xc6\x18\xac\xaf\xaf\xcb\xde\xde\xde\xdcQ\x91S\xe0\xf2\xf2r\x7fuu\xf5\x8b\
\x88\x90\xd7?}\xcfL$\x12\x11\x01\x1190!"\xdc\xde\xde\xee\xf7z\xbd\xfdy\tL\
\x15\xe8v\xbb\xef\xbb\xdd\xee\x07\x11A\xea\x89\xc0k\x9f\xe7\xe7\xe7\xf5y\xc1\
\x03\x02\x00\xd8\x01\xb5\x11\xf0\x89LT\x98\xbe\x89hF\xad&c\xcf\x19\xa7\x064\
\x11\xa9!\xb6\x10\x81@\x81\x06\xa7A\x7f]\x90u\xf5\xd2d\\\xd3\xfeg\xe6+@\xc0k\
^\xa7\x9d^~\xdd\xef:#"h\xad?^\\\\|O\xd4\x93Xk!"\xb0\xd6\xca\xf9\xf9\xf9\xcf\
\x9d\x9d\x9d\xfb\x19\x021p\x13\xa8\xdf\xef\xda+++\xdf\xd6\xd6\xd6\xbe\xf9\
\x84\xdd\xe3\x8f+\x8a\xe23\x80_\xb9\xe7\x80RU]\x07\xdc\xa4\x88\x8b\x9a\x99g\
\xd4t\xbe\x95R9\xe0\xa5\xc0_>\x7f\x83@\x9b\x8f,\xcb\xb2\x80\x80\xef,\xb1\xb6\
\x93\xe9H\xc9\xec\xa2o#\xc0\xcc!\x01\x11\tV\x81O&\x15\xa9\xafBj^\x9b13\x07\
\x04\x88(\xf3\'\xa7\xa2O\x81\xc4E\xb6\x80\x85\x04\\;vT\'c,\xbf\xdf\x9e\x04\
\xd7VC\xb3\x04\xe2\xbc5\xe50\x05>\xe9M\xd6F<vr\xea\x86)\xf0\xfe\xac\x95?V\
\xe0uN\x05\x8e\x84"5j\x84\x04b\x05\xda6\xa1\x18\\\x04\xb0b\x81\xc4\xaeY\xb3)\
\xcd\x10\xc8\xea\xa4o*B\x00\x10\x00V\x04Z\x97\xb0\xd6$\x8b4E< \xe0\xa7 \x06\
\xaeW\x81`\x05\xb0\xc6B\x9b\x12y\xc63s\x1a\xb6\xe4\xb4\x02m\x85\xf7Jn"\xbb\
\xb5\xd0\xbaD\x963:\x9d\x0e\xb4\xd6\xd3U\x10\xab\x10\x91\n7\xa2X\x81&"\x15\
\xb8\xc0X\x81.K\xe4\x13p\x00xzz\n\x80}\x02~\x1f3\xabX\x81|\x1epk\xab|\x1bcQ\
\xea1T\x9e\xa3\xd3y\x03"B\xbf\xdf\x87R\xaa\xb6\x08\xa7\xe4A\x00($psss1\x1a\
\x8d\xde\xb9q\xee!\xef\xd6k\xad]\xee,-\xf7 \x02cM\xe5\xa6\xba\x03`<\x1eC)\
\x85\x8d\x8d\x8dd\xe1\xc5\xab\x85\x08o\x02\x02\xbd^\xefk2d\xcf\x8e\x8f\x8f?m\
oo_\xc6\xc7l\xdb\xc7M\x08^\xad\x16"\n\x8f\xe3yL)\x95\\)mE\xeb\xe4t\xe0L\x84\
\xa2(\x1e\x81\x05\xef\x81y\x9eg\xa9\xfc6\xed\xf9\x00A\x84`MU\xb0L\x84\xa5\
\xa5\x0e\x1e\x1e\x1e^\x80\x05\x15\xc8\xb2,[\xe4\xe4\x13!w\x07\xac"\xe7\n\xdc\
\x18\x83\xab\xab\xab{`A\x05\x98\x99\xeb\x8e\xe2\xd9C\x87 \x00\x8c\xb5\xd0\
\xe5\x18\xcc\x8c\xe5\xe5%03\xee\xee\xee\xfa\xbb\xbb\xbb\xbf\x81\x05\x15 "\
\xf6\x15\xa8\xff\x86\x00\xac\x15hcP\x96cd\xcc \x12\x14E\x81\xc1`puxx\xf8csss\
\x00x\x1f\xa7\xf3\xd8\xc1\xc1\xc1[\xa5\xd4\xd6d\xa7\x13f\x16"\x92\xc9\x1d\
\xc0\xb5\x85\x88\xack\x03\xb0\x00d0\x18<\x9c\x9c\x9c\xf4\xcf\xce\xce\x1e\x8f\
\x8e\x8e\x9e\xb7\xb6\xb6\x00\x00\x7f\x003\xf8\x06\x93\x9f\x8duC\x00\x00\x00\
\x00IEND\xaeB`\x82\xfd\x1c\xa3\xd7'

#---wx.ART_DEL_BOOKMARK
PROVIDER[wx.ART_DEL_BOOKMARK] = \
'x\xda\x01 \x07\xdf\xf8\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x06\xd7IDATX\x85\xcd\x96MlT\xd7\x15\xc7\x7f\xe7\xbe\xf7f\
\xc6\x9e\x0f\xcf\xe0\x0fl\xf3Q\x0bE\t\x08\x94\xaa\x80\x08\x91\x12"*\xbb\tQ\
\xa2"\x04\xcb\x10)\x8b\xa8\x01\x14\t/\n\x8b.XtQU\x02\x12A\x01e\x85`\x93M\xa4\
\xaa\x10\x94\x10T\x14%\x02R\xbb\x11\x85\xda\x05\x05dT\x8c\t\xfeb\xec\x19\xcf\
\x1b\xfb\xbdwO\x17\x1e[\xf8\x0bH\xaa*=\xd2\xd1{z\xf7\xe3\xff\xbb\xef\xde{\
\xce\x11U\xe5\xa74\xf3\x93\xaa\xff?\x00\xb8?\xa4\xf3\xd7\xcf?\xef\x95\xef\
\xdcy\x19k_Gu5PWi\x1aD\xa4\x0bc\xce%ZZ\xbez\xe9\xda\xb5\xe0i\xe7\x94\xa79\
\x03\x17\x9b\x9b\x93\xd1\xe8\xe8^OuoJdQ:\x16#\xb9|9^&\x03\x9eGX(0v\xf7.\xa3\
\x85\x02E\xd5\xe1@\xe4\xb0\x93\xc9\x1c\xde\xdc\xd77\xf6_\x03\\H\xa7[\x1dkO\
\xd5\x8a4\xd5\xafYCb\xf3f\xbc\x95+\x11w\xe6\xcfSU\xc2\x9e\x1e\xca\x17.\xd0\
\xff\xed\xb7\x0cY{?2fgk\xa1p\xe1G\x03\\H\xa5\xf6T\xa9\x1en\xcef\xdd\x9a\xb7\
\xdf&\xb6z\xf5\x93\x16\x04@p\xf3&\xf9\x93\'\xe9\x1b\x1a\n}\x91\xbd\xad\xc5\
\xe2\xd1\x1f\x0c\xf0\xd7T\xea\xadj\xd5SM\xcd\xcddw\xef\xc6\xe4r\xf3\x8c\x96\
\xc9\xe7<s\xd8|\x9e\xfc\xb1c\xdc\xef\xed\xa5$\xb2\xf3\x97\xc5\xe2\xe9\xa7\
\x06\xb8\x98N\xaf\xf7\xac\xfd\xaay\xd1\xa2Dv\xcf\x1e\x9cLf\xb2su5D\x11\xa6\
\xbe~r\x0b\x1e\x01\xd00\xc4\xf6\xf7\x83\xeb\xa2\xa5\x12\x00\xd1\xe8(\xf9\xa3\
G\xe9\x1b\x1e.\x07\xc6\xbc\xbc\xb9P\xe8\x9c\xad5\xe7\x1a\xf6\x1d8 b\xed\x91Z\
\xc7I\xa4\xb6o\x07\xcf\x03\xd7\xc5\xa9\xab#\xbaq\x83\xe8\xfau\xa2\xeen\x18\
\x1f\x87ry\xd2\xc7\xc7\x89\xba\xbb\xb1]]D\xdd\xdd8uu\xe0\xba\xe0y$\xb7o\xa7\
\xd6u\x13b\xed\x91\xbe\x03\x07\xe4\x89\x00\xdf\x1d<\xb85)\xb21\xb9v-NC\x03n6\
\x8b\x9bJ\x11\\\xb9B\xd5+\xaf\x90;|\x18\'\x9d&\xbcv\r|\x1f|\x9f\xf0\xda5\x9c\
L\x86\xec\xa1CT\xb5\xb6\x12\\\xbe\x8c\x9bJM\x8emh \xb9v-I\x91\x8d\xdf\x1d<\
\xb8\xf5\x89\x00b\xed;\xd5\x8eC|\xfdz\xbc\\\x0e\x07\x98\xb8t\x89\xaa\xb66\
\x12\xaf\xbd\x06@j\xd7.\x9c\xdaZ\xc2\xae.\xc2\xae.\x9c\xfazR\xef\xbd\x07@\
\xa2\xad\x8d\xaa-[\x18\xbft\t\x07\xf0r9\xe2\x1b6P\x1d\x8b!\xd6\xbe\xf3X\x80\
\xcb\r\r)\x17Z\xe3+V\x90X\xbc\x18\'\x8a\xb0\x83\x83\x08L\x8bOYj\xf7nLc#\xce\
\x92%\xd3\xe2S\x96hkC=\x8fh`\x00\'\x8aH\xd4\xd5\x91x\xf6Y\\h\xbd\xdc\xd0\x90\
Z\x10\xc0\xfa\xfe\x0b\x1e$\xaaV\xaf\x9e\x0c\x91\xa5\x12F\x04D\x18=rd6<\xe9={\
\xe6\x88\x03\xe4O\x9c\xc0\x8c\x8f\xe3\x88\xc0\xd8\x18\xae*U\xcf=\x87\x07\t\
\xeb\xfb/,\x08 \xaa+\x8c1T75A\xa94\xed^m-\xf6\xfau\xf2\xf3@\xcc\xb6\x87\xc7\
\x8fc;;\x8954L\x9f\x11|\x9f\xaa\xc6F\x1c\xd7ETW,\x0c\x00)\x93L\x12\x13AJ\xa5\
\x19\x1e\xcb\xe5\xd0\x8e\x0e\x86\x1f\x031t\xf4(\xc1\xc9\x93\xb8w\xee\x10}\
\xf9%QG\x07\xfa\xfd\xf7\x93\xe3U1\xc9$\x023\xb6`F<\x15\x187\x15\xf1\xf9\xcc\
\xfa>8\xce\x82\x006\x08`l\x0c\xac\x9d\xfcP(`\xfb\xfb\x91\x95+\x91L\x06\xa9h<\
\x0e\xa07,\x16\xe1\xde=$\x9b\x9d1yip\x10\xdd\xb2\x85\xba]\xbb\x16\x04\xa8\
\xdf\xbb\x97\x07\xaa\x94?\xfa\x88\xeaDb\xfa\xbb\xde\xbe\x8d,YBX,"\xd0\xbb \
\x80\xf1\xbcN\x1b\x04:q\xf3\xa6\xc4\x96-C*\x11p\xec\xe1Ct\xdb6\xea\x1f#>e\
\x8b\xdb\xdb\xb9\xafJ\xe9\xf8q\x92S\x10##L\x0c\x0fc\xadU\xe3y3\xa2\xe1\x9cP\
\xdc\x99J}\xd3\x90\xc9l\xa8O\xa7\xc1u\t]\x97\xe1M\x9b\xf8\xd9<{\x7f\xff\xc3\
\x0f\xd1(\xa2\xb9\xbd}N\xdb\xadw\xdfe\xf1\xc5\x8b\xb8f\xf2\x98\r\x14\n\xf4\
\x8f\x8e\xfem}\xb18\xe3\x16\xcc)HD\xe4\xe3\xa1bqCm<\x8e\x13\x04x\x80w\xe6\
\x0c\x0f\xdfx\x83\xdc\xab\xafN\xf7\xbb\xf7\xc1\x07\xc4\x0e\x1e\x04Uz\x81\xa5\
\x8f@\x0c\x9e;G\xe2\xf3\xcf\xf1\x1c\x07\xa2\x88H\x95\xa1b\x11\x11\xf9x\x0e\
\xa9\xaa\xce\xf0\xab\xcd\xcd\xd5\x9d\xc9d\xef\x8d\\N\xcb\xcb\x96\xe9x\xc5{\
\x97.\xd5\xc1\xcf>SU\xd5\xbb\x87\x0e\xe9@c\xe3t[\x7fc\xa3\xfe\xfb\xd0!UU\x1d\
\xf8\xf4S\xbd\xbbd\xc9t[y\xd92\xbd\x91\xcbig2\xd9{\xb5\xb9\xb9z\xb6\xde\xbc\
\xd9\xf0j:\xfdV`\xed\xa9\x9aX\x8c\x96D\x82\xa9\x0c\xf2\xc0\x18\x8ao\xbeI\xdd\
\'\x9fP3\xab \x19\tC\x06\xb7m#u\xe6\x0c\x8b+s*p\xa7\\fdb\x02\xd7\x98\x9d\xbf\
(\x14\xe6\xa4\xe4\x05\xeb\x81\x7f\xa4\xd3\xc7}k\x7fS\xe58<\x13\x8b\x91\xa8\
\xa4\xde\tUb2\'\xa9\xcdi+\xabrkb\x02?\x8a\xa82\xe6\xc4\xcf\x0b\x85\xb9!\x93\
\xc7\x14\xa5\xb1\xa6\xa6\xf7\xa5\xaf\xaf\xd1\x8f\xa2\xad\x7f\xf7}\x16\x1bC\
\xb3\xe3\x90\\h\x00\x10\x07\xc6\x80\xbe(\xe2\x81\xb5\xc4\x81j\x91?{MM\xef/4\
\xe6\xb1%\xd9\x9d\xb66S\xb8r\xe5\xf7\x13\xd6\xee/\x82D@\x02\xa8\x11\xa1\n\
\xf0*\xfd\x02\xc0\x07FT)\x03\x0e\x90\x02\x8d\x19\xf3\x87\xf4\xc6\x8d\xbfk\
\xf9\xe2\x0b\xfb\xa3\x00\xa6\xec\x9f\xd9\xec\x8b\x1a\x86\x7f,\xab\xbeTfV({\
\xc4\xe2\x15\xc0\x84\xc8\xd7\xe2\xba\xbf]\x93\xcf_~\xd2\xdc\xf3\x02\x1c;vL::\
:\xe4\xf6\xed\xdbfddD|\xdf\x17-\x97\xcd\x9f\x1e>|1\xa3\xfa\xeb\x04\xfcJ\xe1\
\x19\xad\xfc\x04\x81@\xe0V\x19\xce\xe7E\xfe\xb2\'\x9b\xbdD<\xae\xf1x\xdcf2\
\x19]\xbe|\xb9]\xb5j\x95\xee\xd8\xb1CW\xcf*lEU\xd9\xb7o\x9f9\x7f\xfe\xbc300\
\xe0\x96J%/\x0cC7\x8a"\xcfZ\xeb\xaa\xaa\xab\xaa.\xe0\xaa\xaaSy7i\x91\xd8*\
\xc8\x00\xfc\x0b\n\x05\xd5\x00\x88\x80\xc8\x18\x13\x01\xa1\x88\x84"\x12\x88H\
\xe88N\xe0\xban\x18\x8f\xc7\x83E\x8b\x16\x85\xeb\xd6\xad\x0b\xf7\xef\xdfo\
\xdd\xae\xae.\xba\xbb\xbb%\x9f\xcf\x1b\xdf\xf7\x9d(\x8a\x9c(\x8a\xdc\x8a\xb8\
WqWU=&\x0f\xad\x0b\xb8\x05U\xe7\x1b\xd5PUED\x12"\xe2\x01!\x10ZkC\x111\x95\
\x05\x8a1F\xa2(\x9a\\\xb1\x88\x8e\x8e\x8ejOO\x8f\x1d\x1a\x1a\xb23\xb6\xe0\
\xf4\xe9\xd3r\xf6\xecY\xe9\xe9\xe91\xf9|\xde\x8c\x8d\x8d9A\x10\x98 \x08\x1ck\
\xad\xb1\xd6\x1a\xc0Xk\x85\xc9T>u\x1f\x15P\x11Q\x11\xb1\xc6\x18k\x8c\xb1\x8e\
\xe3D\xb1X,\x8a\xc7\xe3\xb6\xa6\xa6\xc6\xb6\xb4\xb4\xd8M\x9b6\xd9\xf6\xf6\
\xf6i\xd1\xa7:\x84\xffK\xfb\x0f\xcf\xeeY|\xc9\x95\x1e\xb6\x00\x00\x00\x00IEN\
D\xaeB`\x82\xf0\x13j\xa4'

#---wx.ART_EXECUTABLE_FILE
PROVIDER[wx.ART_EXECUTABLE_FILE] = \
'x\xda\x01/\x07\xd0\xf8\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x06\xe6IDATX\x85\xcd\x96]l\\G\x15\xc7\xff3w\xee\xee\xb5w\
\xd7\xeb\x8f\x8d\xd7_\xeb\xb8\xae\x938\xb5QH\x1aH[\x1aAD\x1a$$H\xd4\x10\x84\
\x04\x84\xbaP\x01!*\n\x0fV*UUE\xf3P\x10\xc2\x0fi\x03Q\x03\xaa\x9c\x97>\x14H\
\xea\x08A\x0cR\xa5T\t\xc5IC\xc0\x1b\xd74\xf6\xd6\xc6\x1fk{\xd7\xf6\xae\xbd\
\xbb\xf7\xde\xf9\xe2\xc1\xce\xc7z\xbd\xb1\x0bB\xe5H\x7f\xe9Jst\xceo\xce\x9c;\
s\x88\xd6\x1a\x1f\xa7\xd1\x8f5\xfb\xff\x03\x00\xfb(\xce/|\xb8\xdd\x9c\x15#\
\xbb\x95V_\x04\xd1mZ!\x04\x00\x84"\x01M\xa2\x94\xd0\xdfW\xb2\x8d\x97~\xdct\
\x9d\xaf7&YO\x0f\xfch\xb8\xd1g\xab\xf41wA\x1dK\x8d\xaa\xca\xdc\x04C\xb9\x8a\
\xc0\x8b\x00\x0cj\xc2!\x0bH\xd31\xb0p\x16\xc1F:\xeb\t\xd0.\x8b\x96u\xfd\xbcy\
4\xf3_\x03\x1c\xf9\xa0b/\xcf\xca\xee\x99\x7f\xc8\xda\xaa\xc5v\xech\xda\x83\
\x8d\x1b\xb6\xc0\xa0\xf9\xc5\xd3Za,9\x8c\xbe\xe1\x8b\x98\xf1\xfd\x1d\x1b>aL\
\x9a\xa5\xc6\xe1S\x9b\xe6\xfe\xf4\x1f\x03|\xf7f\xf0h.!\xbb\xd2\xd7\x03\xec\
\x0b\x0fu\xa0i\xc3\xd6\xb56\x04\x00\x88MG\xf1\xc7\x81\xd7\x11\xdc\xbe(JB\xc6\
\xb1\xd3\x0f\xa5^\xf9\xc8\x00\xcf\xdc\x08~sqJv\xab[5x\xf2\xe1\xa3\xf0{\x83\
\x85N\xb7[X\x15.\xa5s\xb3\xf8\xcd\xb5\x9307\'\xe0\x0f\x1b\x87_\xdb\x96:\xbbn\
\x80\xef\\\x0b\xeet\xd2\xf2Rv\xa0\xdczr\xfbQ\x94z\x03\x00\x00VJ\xe0)%`%\x04\
\x94\x01\x84\x10\x00\x80\xd6\x1aJ\x00\xc2\xd6\xe0Y\r7\xb3\x14s!7\x87\xdf]\
\x7f\x05\x81\xb6E\xdb[f\xec>\xf3p\xeaj\xb1=\xdc\xb1\x9e\x89\x17\tw\xd4\xc9\
\xd9AX{\xb6~\x15\x8c\x99 >\x07\xbe\x88@\xb6j\x08\t\xefM(\x96\x83".$\x1cH8P\
\xc4\x05L\x17,\xc0Q\x12\x16\x084\n\x18~\x07^\x8f\x85\xcf\xb6\x1eDrP[\xdcQ\'{\
&^$k\x02\xbc9\xd4u 3\xa5\x1f\xd9\x1c\xfa\x14\xca\xfd\x95\xf0\xd5\n\xf8\xc2\
\x12\xc4ta\xcb4\xbe\\\xf5\x02\xb4\xa6H81(8\xab\n\xccEi\xb5D\xa0AbCE-\x9a+>\
\x89\xcc\x94~\xe4\xcd\xa1\xae\x03k\x02H.\x9f\xe6\xf3\x14[\xeav \x18\xd10\xfd\
\x12\n|IJ\xc2C}\xd8W\xf9C<V\xf6m\xccd\'\x91\x93\xe9\xe5u\xb7@\xacD\xa0"\xa2\
\xd1\xde\xb8\x0b|\x9eBr\xf9\xf4}\x01\x9e\xea\r\xfbyV\xef\xad+kA\xa8\xc1\x02\
\xb3d^@\xa98\xb0\xdc2\x91\x92v|\xad\xf6g\x08\xe9VL.\xc6 5\xbf\x0bz\x8f\xa8G"\
\xdc\xe8C]Y\x0bxV\xef}\xaa7\xec/\n`\xbb\xb9]\xc2\x86\xf5`\xc3&\xf8\xca\x00\
\x80\xe7I+\x99OO(\x1e\x0b}\x1d\x07\xaa_BvQ"\xe5LC\x83\x17\xc8\xebS\xd8\xb4q\
\x13\x84\r\xcbvs\xbb\x8a\x02H\xae\x9a\x892P_[\rMx\xa1\x94XYA\x00@\xb9\xa7\
\x06_\x89\xbc\x84v\xf3\x10\xe2\xb3\x93\x90\xda\x06\x08\xcfS\xa4\xae\x06DQH\
\xae\x9a\xef\x03\x00\xbfe\xfa\xe0\xf3\x1b\x00D\x9e4\x04\xd4\x8a\n\xac\xb4\
\xf6\xca=\xf8\xc6\xc6W\x81T\x187\x93ocJ\xfc\r\xb6\x9a\x85\x06Gi)\x85\xe5)\
\x85\xe4(~\x04\x8a\xc3\xa1\x06\x01c\xb2`\x07\x84p@\x8b;=P\xcc<F\t\xbe\xd4\
\xd4\x89\x83\x95g02\x16GR\xf5\x83c\x1e\x84\nx<\x06\x14\x87S\x14@s=\x96\xb1\
\xd3\xb0U\x12 \xa2@+{\xa0\x98\xbd\x9f\xf8\x0bz&\x8e\xa3\xa1\xde\x07\x93\x1a\
\xc8\xe8qp\xa4\x90s\xb2\xd0\\\x8f\xdd\xeb\x9b\xff\xa2(\xe3*w\x84N\xd81\x12\
\xf6=\x00\x0f\xc9\xab\x16\xb4\x16\xf7-@\xc6M\xa1\xe7\xd6O\x90\xf4\xff\x19\
\xa1\xfa\x12\x00\xde\xe5\x15\x17\xf3<\x86\xec"\xd7PF\xdem\x98W\x81\xf3\x1d\
\xe9\t\x9eA\xdfdb\x16\x1c3\xc8\xeaQ\xd8\x88\xc3\xc6$rz\x0c\xb6\x9c)z\x04\xef\
\x8e\xf4\xe0\xd7\x1f\x1c\x04\xad\xff+\xc2\x15e\xf0P3O\xf1\xe4<\xdc\x8c\xee;\
\xdf\x91\x9e(^\x01\x00\x9a\xe3\x8d\xc1[S\x9f\xde\x1a\x89\xc0\xcb\x08\x96~A\
\x00\x04\xa0\xab\x0cP3\x0b\xe3\xb80t\x02f\xed\xfbh\x0cY\xab\xc2\t\xa5psp\x12\
\x9a\xe3\x8d\x95k\x05\x11-#p:9\xea\x8c_\x1f\x19\x86IMx\x8c\xbb2\xf4]^\xa5\
\x15.\x0e\xfc\n\xbf\x1d\xff\x16j\xb6\x8c\xa3*\x18\xc8\xf3\xbdW\xd1\xb1\x11\
\xc4c\x99q\xcb\x08\x9c^\x13\xe0\xdc\x91\xa9\xac\xb0\xc9s\xfd\xef\xc5q\xf5_\
\x83`\x84\xdd)#\x83\x01\x00\x18\x9e\xea\xc7\x99k\x87\xe1\xd6\x9dGKsp)\x11-\
\x94IL\xf4O\xc6\xd0\xf7\xee(\x84M\x9e;wd*\xbb2_\xd1y\xe0s\'J~Q\xb5\x85~os{\
\x15>\x13\xd9\x86\xa0\xe5\xc3\xc0`\x1ce\x8b\x9f\x87\xac\xbe\x8c\xc6\xc8*\xf3\
\xc1=\x96qs\xb8<\xd6\x8f\xe8\x8d8\x92\x83\xea\x97o?\x9f\xfb\xfej~E\x87\xd2\
\x90\xaf\xee\xd9\xe9\xe8x\x8d\x12\xc9\x03\xb3\xfc\x12Z\xca\x1b\xf0`M\x04\xd5\
\xfe\x01\x98fU\xd1\xc4)\'\x83h2\x86\x7f\xce\x8d"\xde\xef 9(\xcfU\x07\xeb\x9f\
-\xe6\x7f\xdf\x91\xec\x07\xaf=Ao|\xf8\xce\t_-\x8e\xd7\xec`\xc4\x1b$\xf0\x9b%\
\xa8-\r\xa1\xcc\xe3\x83ex@\x08\x81-\\,\xf0,\xe2\xd9\x04Rn\x06NJ#\xfe\x9e\xd0\
\x99I\xbc\xbc\xad\xe9\xf1\xe7_}\xa6w\x95\x99i\x1d\x00\xb7m\xf7q\xff\xa3\x8a\
\x88\x9f\x967\xd3\xc7\xcb\x1f\xa0\xf0\xd7QP#\xdfGI`qBa>\xa60?\xac\xde\xa1\
\x9au^zy\xf1\xcaZ\xb1W\x058u\xea\x14\xe9\xeb\xeb#CCC4\x95J\x91\\.G\\a\xd3\
\xd0\xbe\xc4\xa3\x86\xa5\xf63\x0b\xfb\xacJ\xd2\xc2,b\x02\x80\xb05\xb7g\xf5-a\
\xe3\xa2\xb4\xe9[3\x7f\xa8\xbal2\xaf\xb6,K\x95\x97\x97\xeb\x86\x86\x06\xd5\
\xda\xda\xaa\x0f\x1d:\xa4\xdb\xda\xda\n\x01:;;ioo\xaf1==\xcdr\xb9\x9c)\x84`R\
JS)\xc5\xb4\xd6Lk\xcd\x000\xad\xb5\xb1\xfcm\x18^\x98\xa5a\x94A\x03\xd9i,H\
\x07\x1c\x80\x04 )\xa5\x12\x80 \x84pB\x88 \x84\x08\xc308cLX\x96\xc5+**\xc4\
\xce\x9d;Eww\xb7b\xd1h\x14\xd1h\x94\xcc\xcf\xcfS\xdb\xb6\x99\x94\xd2\x90R\
\xb2\xe5\xe4\xe6\xb2\x98\xd6\xda\xc4R\xd32\x00L:0\xd2#Zh\xad\t\xa5\xd4\x0b\
\xc0\xc4\xf2\xd3\xa9\x94\x12\x84\x10\xba\xbcAJ)%R.\xbd#\x8e\xe3\xe8t:\xadb\
\xb1\x18\xbdr\xe5\x8a\xca;\x82\xb3g\xcf\x92\x0b\x17.\x90X,F\xe7\xe6\xe6h6\
\x9b5\\\xd7\xa5B\x08C)E\x95R\x06\x00\xa2\x94"X\xbaCn\x0f\x99\x1a\x80&\x84hB\
\x88\xa2\x94*J\xa92\x0cCz<\x1e\xb9|\x14\xaa\xb1\xb1Q\xed\xdf\xbf_utt\xdcI\
\xba\xae&\xfc_\xda\xbf\x01\xbd\x85\xa3\xd0\xbfw:B\x00\x00\x00\x00IEND\xaeB`\
\x82\x854Z\x7f'

#---wx.ART_FILE_OPEN, wx.ART_FOLDER_OPEN
PROVIDER[wx.ART_FILE_OPEN] = PROVIDER[wx.ART_FOLDER_OPEN] = \
'x\xda\x01\xca\x055\xfa\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x05\x81IDATX\x85\xb5W\xdfk\x1cU\x14\xfe\xee\xee\xcc\xec\
\xcft\xb3l\x92\xa6\x9b\xa6i\x926\xa9Ii\xb56\x82\xd2\x07\x15\x15mA!\x82>T\xfa\
\x0b\x15#\xf6A\x04\x15Eh_\xfa\xa0\x14\xc4\x87 \xf8\x10\xff\x00\xa9\x08>\xf9 \
*\xc6\x97F\x11\xb5 \x94P*\x9a&\xfd\xb5\x9b4ivv\xee9\xc7\x87\xf9\xb13\xbb\x13\
\xe2\x8a.\xdc]f\xe6\xde9\xdf\xfd\xce\xf7\x9dsW\x89\x08\xfe\x8f\xcf\xb97\x0e\
\xe7\xf3\x1d\xf9\xbe\x81\xc1\xd1Ry\xfb\x8e\x02DJ\xab\xab+=\xc3\xbb\xc7~\xdc1\
~\xf8[\x7f\x9e\xfa7\x00\xae_\xbf\x84\x8f\xcf\x9d\xee\xd93v\xdf\xe8\xf6\xfe\
\x9d\xbb\xf2YcG\xc62\xfa\x94\xe2\x81t\xca,3\xe9\x81|.\xdba\x99I\xd4\xeb58l\
\x02\x10\x98\xaa\x0eJt\x9e\xed\xbe\xe7\xd93\xfe\xbb\x8c\xcd\x82\xbd\xff\xce\
\xa4\xd5\xbb\xb5\xf7\xe1\xe1\xe1\xe1\x89b!\xbd7\x932w)\xf0\xc8\xe9WNm\xb1\
\x0c \x01\xdd\xb2\x86\xd9De\xe5\x0e\xd6\x8d\x0c\xd2)\x0b\x1di\r\x08cmu\r\xc8\
t\xaa\xf0\xdcM\x01\xf4m+\x7fx\xe4\xf1\x89)S\x85\x02\xa9$\x00\x1b`\x05n\x9a\
\x7fm\xe96\xac\\\t\xa5b\x01\t\xa9\x03p\x00\x00\xc4\x0c"\x8d\x04K$\xe6\xa6\
\x00r\xf9l)\xc16(\x08\xde:G\x85nV\xef\xdc\xc5X\xb9\x0fJ\xec\xc8\x1c&\x02\x13\
A\t\xb7\x07@A1\x115\xaec\x00\x88\x08\x16o\xac\xe0\xf2\x95%,\xdeX\xc6\xd8\x9e\
\xdd\x80D\x9f\x13\x11\x884@:\xdb\x16\x00b\xb6\x99\xb4\xb7\xf3\x98\xe8\x00\
\x96n\xae\xe0\xab\xef~\x03\x00\xa4\xd2\x16\x14\x9a\x84-\x02"\r\xd2\x04\x10u\
\xb4\x05@Dl"j\x8a\xadB\xdf\x00i\rfvo\xc4\x98\x8a\xc5\xcd?\x11A1\xb5\xc7\x80\
\x88\xb2\x89)\x12\x10MWD\x04\x11\x8e\r\x0e\x00L\x0c\xd2\x04"BR8\xd5\x16\x00\
\x95L\xd68\xa4\x81\x98\x19`&\x97\x01\x0f\x94\x88\x04\xf0\xc4\xa7\x9f4\x98\
\x08Bd\xb5\x05\x00\x82u\xad)"\xbef%hM`\x16\xf8\x14\x84\x9f\x87\x05H\xa4!\xac\
\x93m\x01p\x9czMkB2\xb1\xc1\x04\xe5\xa5\x80)\x06\x1a \xc2 \xed\n\x90\x99@\
\xd4&\x80\xba][\xd7\xcc\x804(\x0eb{\x97L\x04\x96\x06\x03a1\x84wOD`\xd2\x91\
\xadl\n\xc0\xb6\xd7\xd7\x99\x01\x02\xc7\x19!\x08"\xec\xd7\xc4Fp\x11\t\xc4G^!\
"\x8a\x96\xee\xcd\x01\xd4j\xb6\x08\xc0\xec/T-L\x13\xf9"t\xe3\x8b\x87/\x10\
\xa0\xf6\x86\x07\xa2-\x00\xc2$\xcc\x0c\xf1\x17*\xff\xa7\xc9\x86\x1c\xee\n\
\xe2\xad\xe5\x08\xfdD\x04\xdf\xd2\xff\x18\x00\x8b\x88\xb0\xb8\x00Z4\xa6\x02\
\x00,\xdct\xd7\xcb\x7f\x90\x02\xdf\x05\xed2 "\xc4\x0c\xc4\x02poq\x0b\x03Q\
\xff\xfb)`\xd2\x10\x91\x88\x0b62\x17\xa6\xa6\xa6TWWW\xfe\xe6\xed\xd5"\xb3K\
\x9d\x9f\xc3\xf0\xf0w\xc7\xcc\x81\x0eD$\xe4\xff\xd0p\xebEg,\x03sss\x98\x9c\
\x9cLW*\x95\x9c\xe38[\x88\xa80:X*O\x1c\xd8\xfb\xaa\xae-{\r&\xbe\x19\x855\xb0\
\xb4t\r\x97\xffX\xc6P9\x13\x12_\xc8\x86,\x91f\x94\x98\x99\x99Q\x85B\xa1x\xe8\
\xd0\xa1\xc1\xc5\xc5\xc5\xa1Z\xad\xd6OD\xdd\x00\xf2\xa7\x8e>ulkvm\x94\x03\
\x11\xe9\x88\xa5\xc2,\xb00X\x18u\xdb\xc6\x85\xcf\xbf\x00!\xd5\x92\x02rS\x10i\
F\x89\x93\'O\x8a\xd6\xda$\xa2\x0e\xefaVD\xb2\xcc\x9c%\x12s\xe7\xc1\xa3\xe8\
\xe8\x19\r\x05ts\x19Vu\xcaJ\x00\x100\x0b\x84\xc5\xeb\x8e1)p\x9d\x94n\xd1\xc0\
\xf1\xe3\xc7o(\xa54\x80\x0c3gD$\x03 \xa3\x89\x0cR\x19\xf7\xa5-/k\xf8\xba\x90\
\xb3p`O/\x84\xddr\xeb\x8b\xd2\x17^\xd0\x8c\x98\x01\x88\xd9\x02`zzZr\xb9\xdcU\
\x11I\x03\xc8z#C\xc4\xa6\x88\x7f\x9e\x8b\x11!7r\x9bM\x1b`\x96`\xe7\xec\xaf\
\xd1\x9e\xf8<PJ\x10\x7f$\xabT*k\xa6i.\x8bH\x11\x80\x05\xc0bf\x03\xe2\xd6\x80\
\x96\x96\xac\x9a/\x19"nC\x12i\xee\x01\xae\x06\x00@ \xf1\xbd \x9dNog\xe6!/G&\
\x00K\x13\x1b\x02\xf1,\xa8\x11*\x83\xad\x18\x84C-Yy\xbb\x0f\x01\xf0\n\x90\
\x08o\x08\xa0\xea8N\x12@&`\x80\xd8\x10\x91\x80\xf2F\xd4\xd8\x93i`EQ*\xe2}\
\xd7\xff\x8cd\xd2@\xae\xb3\xf7BxY\x80\xa6Z\xad\xae\x9a\xa6\xf9\r\x80\x14<\'\
\x10\xb3\xe9\xb0\x01GK\xa0\xf8f;\x06\rF\x18"n1J\x1a\xa9\x96\x14$\x12\x06\x06\
\xf6>\xfa\xe9\xc0\xbe\'\x9f\x8be\x00\x00j\xb5\xda_\xa6i~\xaf\xb5~\x1a\x80E,\
\xc6O\x0bY\xe4\xd7\xdd\x1d\xc5Q\xaf\x12\x06r\x9d[\xebf:w\xd1\xc8\xdbW.\xcd\
\xdf\xaa\xae\xaf^w^&z\xdd\xef\x80J%1\xb4\xff\x91\xe9\xb1\x83G^Cn rrl\xe9\x05\
\x8e\xe3\xcc\x19\x86\xd1\xcd\xcc\xfb\xd6\xee\xda<d\x7f)\x8b\x95_\x95\x7f\xe8\
4\xac,r\x85\xee[V*7\x9b-\xf4\xccn\x1b\xdc?\x9b\xef\xea\xbb\x98-\x8e\xd5O\xbc\
;b\xcc\xcf\xcf?1\xbe\xab\xeb\x01\x9f%(\x03\x83\xfb\x1f\xfb`\xf7\x83\xcf\xbf\
\tt4\x87\xdb\xf8\xcfi\x7f\x7f\xbf\xb9\xb0\xb0\xf0\xcc\x81\xf1\xf2\xf2\xf9\
\xf7\x8e\xbd\x9d2puK\xa9o\xb6w\xf0\xde\x1f\x8a\xfd\xe3\xbf\x03\x85\xd8\x85##\
#F1\xb3vb\xe6\xfc\xe9O\xd6\xaa\xd7\xd0=8qf\xe7\xfd/\x9c\x8d\r\x024\x1a\xc7\
\x7f9\xdez\xf1\xa1\x9e\x9f\xbf\x9e\xfe\xe8\xcf_>{i\xb3\xb9\x7f\x03~n\xcf\x9a\
|\x1a\tj\x00\x00\x00\x00IEND\xaeB`\x82c\x98\xa2\xce'

#---wx.ART_FIND
PROVIDER[wx.ART_FIND] = \
'x\xda\x01U\x06\xaa\xf9\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x06\x0cIDATX\x85\xc5\x97]lT\xd7\x11\xc7\xff\xe7\x9c{\xed\
\xdd\xb5\r6\xf6\xa2@ -u\xac \nv\x89S\xd5\x89\xad\xb6HvM\x03B\x05\x01\xae\xaa\
6\xad\x02EJ\x9f\x8aJ\xd5\x97J\x15"\xa9*\xf5\x85T\xaa\xaa\x1a\n\x02\x1e"\x93<\
\xa0\n7\x8eHH\x1c9\xfe\x88\xb3\x98u\x0c\xc41Z\xdb+\x9bf\xd7k\xaf\xbf\xd6{\
\xbf\xceL\x1fv\xed\xda\tQ\x8c\x9d\x90\x91\xe6~\xe8\x9e\xb9\xf3\xd3\x9c9g\xe6\
\x08f\xc6\xd7)\xc62\xc7)\x00\xf9\x00r\x00\xcc\x00\xb0\x1e\x06\x80p]\xf7\xdb\
\xd1h\xf4\xc7===\xdf\x1b\x1a\x1a\xf2\xdb\xb6\x8d\x92\x92\x12\xec\xdc\xb9\xf3\
nYY\xd9\xf5\xa2\xa2\xa2\xb7\x00\xcc\xae\x06@\xdco\n\x92\xc9\xc9\xb5\x03\x03\
\x1f\xff\xb6\xa9\xa9\xe9\xe9p8\xfc\xc1\xc1\x83\x07\x8d\xaa\xaa\xaa\x02\xbf? \
\x87\x86\x06S\x17/^\x9c\xb1,kKCCC~]]\xdd_\x8b\x8a\x8a\xbaVL\xc0\xccKt``\xa0\
\xe8\xc2\x85\x0b\x97\xf6\xee\xdd\xfbr4\x1a=\xe3y:\xe5y\x1e\xbb\xae\xc7\x8e\
\xe3\xb2\xe3\xb8l\xdb\x0e\xcf\xcd\xa5[O\x9c\xf8\xfd\xefN\x9e<\xf9\xc6\xe0\
\xe0\xe0\x9eO\xffg\xb9\xba$\x02\xfd\xfd\xfd\xb2\xb5\xf5\xdd\xbf\xb5\xb6\xbe3\
s\xfe\xfc\xf9g\x85\x90\xe5\x8b\xbf/5\x06\x98\xd9~\xf3\xad7\xffx\xab\xef\xc3\
\xfaC\x87\x0e\x1d/++\xeb{\xd0\x00\xc8\xc5/\xed\xed\xed\xbb:;;\x8a\xcf\x9c9[K\
\x84rf\x86\x94\x02RJH)\xa1\x94\x84a((\xa5 \x04\xa05\xe5\xfe\xf0\x07\xbb^4\
\x0c\xf3?mm\xef\xfd!\x1e\x8f\xcb\xcfs\xb4,\x80\xdb\xb7\xef\xfc\xe2\xc8\x91\
\xa3\x05\x0c<\xc5`\x08!\xc0\xcc &0\x13\x88\x18D\x99\x88(\xa5\x90\x9bk\x02\
\x02\xb9G\x8e\xfc\xfa@oo/\xde\x7f\xbf\xfb\x89\x15\x03\xbc\xf4\xd2_\xfc33\xd3\
\xa5;v\x94\xef\xd2\x1e\x01\xcc \xca8ebhbP\x16&\x03B`\x06rsLH%k\x1e}tS\xe4\
\xce\x9d;\xdf_1\xc0\xdd\xbb\x1f?\xb2i\xd3\xe6\xcdD\x1c\xd0Z\xc3u=\x10\x11\
\xb4&h"\x90\x9e\xd7\xff\x83\xcd\xdfsL\x13OVV~3\x1e\x8f\x7fk\xc5\x00CCCJJ\x15\
\xf0\xb4\x86\xd6\x1a\xb6\xe3\xc2q2\x10\x94\x85X\xa2Zg\xe14\x88\x18yy\x81\'&&\
&\x96\xbb\xb1-\xc8\x82\xc1\xc8\xc8h<\x16\x8b\xc14\x0c8\xae\x0b\xedi\xccy\x1a\
\xa6i\xc04\x14\xe6\xd7\x82\x00\xf0\x99\x9d\x83\x19\xb1X\xec\xb1\xe9\xe9\xa9\
\xcb+\x8e\xc0\xc0@\xfft8\x1c\x0e\'\x12\x89\x85l\x17\x02\xb0,\x0733s\xb0\xd26\
\\\xd7\x83\xe7ih/\x1b\x01O\xc3\xb6\x1dLM\xcd:===\x14\x89\x0c\xbe\xb7b\x00\
\x00\x88F\x87/^mn\xd6\x9e\xab\xa1\x89  2\xcb\xceP\xd0D\xb0,\x1b\xa99\x0bssi\
\xa4R\x16fg\xd3\xb0,\x07\x9f\xc4\xfe;\xd6\xd5\xd99\x9aLN\x84V\x050;;s\xf9\
\xd5\xcbM\x1d\xa1\x1b=p\x1d\x0f\x8e\xeb\xc1q\\\xb8\xae\x07\xed\xe9\xec\x8aX\
\x94\x94LH\xa5R\xc93\x8d\xff\xe4\xbe\xbe\xbe?E"\x11\xefA\x01>S\x0b\n\n\xd6\
\x94VW\xd7\xbcq\xec\xd8\x0b\xa5;\xca+ Df\xd6\x99\x010\xc0\x99\x0b\x18\x8cd29\
w\xee\\\xe3\xd8\xf0P\xc4M$\x12O\x85B\xa1\xa9U\x03\x00\x80\xcf\xe7{\xbc\xbc\
\xfc;\xe7\xea\xeb\x9f\xady\xfa\x99gD\xb0d=\xfc\xfe\x00 \x00\xd7u1\x99L\xe2\
\xa3\x8fn\'\x9b\x9b\xff\x9d6MU\xa0\x94*p\x1c\xe7\x83\xe1\xe1\xe1\xfap8<\xb1j\
\x00\x00\x08\x06\x83>)\xd5OKK\x1f\x7fa\xf3c\xdf\xa8X\xb3f\x8d2\xcd\x1c\x9a\
\x9e\x9e\xa2\x89\xf1\xc4\xcc\xc4D\xe2m\xcb\xb2\xfe\xbca\xc3\x86\xefF\xa3\xd1\
\xbfo\xd9\xb2%\xc7\xef\xf7\xf7E"\x91\xfaP(to\xd5\x00\xf3r\xf6\xecYq\xea\xd4\
\xa9M\xc1`\xb0T)U\x90_P\x900M\xf3\xc3\x96\xd7__\xe8\x03\x82\xc1\xe0\xfe`0\
\xd8\xb4u\xebV3??\x7f\xb0\xbf\xbf\xffG]]]w\xbf\x14\x80\xe5Jqq\xf1\xc1\xf5\
\xeb\xd7\xbfRYYi\xe4\xe7\xe7\x7fr\xf3\xe6\xcd\xdd\x9d\x9d\x9d\xe1/\xb2{\xe0\
\xea\xf5y2>>\xfe\xda\xd8\xd8\xd8\xcfB\xa1\x90GD\x8f\xd4\xd4\xd4\xbcS]]\xfd\
\x85\xb5\xe1K\x03\x00\x80D"\xf1j<\x1e\xffy[[\x9b\xa7\xb5.\xdc\xbd{wKmm\xedO\
\x1e\x1a\x00\x00\x8c\x8f\x8f7\xc5b\xb1\xe7\xae]\xbb\xa6m\xdb\xf6\xef\xdb\xb7\
\xef\xb5={\xf6\xfc\xea\xa1\x01d!^\xb9w\xef\xde/\x9b\x9b\x9b)\x95J\xa9\x86\
\x86\x86\x7f\x1d>|\xf8\xc4}\x07\xaf\xb4\x97[\x8e\x16\x16\x16>WUU\xa5O\x9f>\
\xcdW\xae\\\xa1\xa3G\x8f\xbe\xd8\xdd\xdd\xbdd\xccW\n\xc0\xccX\xbbv\xed\xf3uu\
u\xba\xb1\xb1\x91\xaf_\xbf\xce\xc7\x8f\x1f\x7f\xb9\xbd\xbd\xfd\xfeM\xe9W%\
\x85\x85\x85\xc7jkk\xff\xb1}\xfbvy\xe3\xc6\x8d\xf0\xd8\xd8\xd8\x93\x1d\x1d\
\x1d\x04,\xda\x07n\xdd\xba\x85\x96\x96\x16\xd1\xdd\xdd-FFF\xe4\xe4\xe4\xa4\
\xb0,K\xda\xb6-<\xcf\x93ZkAD\x82\x99\xe7u\xc1\x81\x10\x02B\x08\x16B\xb0\x94\
\x92\x95Rl\x9a&\xe5\xe6\xe6R \x10\xe0u\xeb\xd6Qoo\xefo\x8a\x8b\x8b\xebS\xa9\
\xd4\xf3\xa3\xa3\xa3\xf1\x05\xdb\x8a\x8a\n3\x91H\x18\xe9t\xdap]\xd7$"\x83\
\x88\x0cf6\x88\xc8@\xe6Xf\x10\x91\xca>+d\x92wq\x02SV5\x00-\xa5\xd4\x00<\x00\
\x9e\x94\xd2\x13BxRJO)\xe5\x99\xa6\xe9\xe6\xe5\xe5y\x1b7n\xf4\xf6\xef\xdf\
\xaf\x95\xcf\xe73?\xe5\xdc\xcc:7\x01\x98\xccl2\xb3\x89\xcc\xb9pA\x999\x97\
\x99s\x00\x98B\x88%p\xcc,2\x81\x11`f\x91\xa9\xa8\x00\xb2\xcd\x14g\xc2\xc7\
\x81@ \x13\xcaK\x97.\x89\xabW\xaf\x8a\xc1\xc1A999)\xd3\xe9\xb4\xb4m[y\x9e\
\xa7\x88Hj\xad%\x00IDr\x91\x83%"\x84 \x00,\xa5$!\x04I)\xb5R\x8a\x0c\xc3\xd0>\
\x9f\x8f\x02\x81\x00\x95\x94\x94\xd0\xb6m\xdb\xe8\xc0\x81\x03\\__\xcfKr\xe0\
\xeb\x92\xff\x01\x1b\xcf_\xf0\xc9?Xv\x00\x00\x00\x00IEND\xaeB`\x82]\xea\x17\
\n'

#---wx.ART_GO_DOWN
PROVIDER[wx.ART_GO_DOWN] = \
'x\xda\x01,\x07\xd3\xf8\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x06\xe3IDATX\x85\xcd\x96[l\x1cW\x1d\xc6\xbfsffw\xf6\xbe\
\xb6w\xb3\xb6k;\xaek\xe7\xe6\x94\xd4IP\x1ah\x04\x95B)\x95P\xa2\xa2\xf0FUW\
\x84K\x88*\xc2C\xdaJ\x15D\xa8\x0f\x15\x0f\xf8!m \n\x88\xca\x96P%Z\x9a6\xa1\
\x85\x18\x15$W1\xe04!\x8d\xd7\x91\xdb\xd8\x9b\x18_\xd6\x97]\xef\xaewgg\xf6\
\xdcx\xf0\x85\xae/\xb1[\x84\xca_\xf3iF:\x97\xefw\xfe\xe7\xcc9\x87(\xa5\xf0Y\
\x06\xfdL\xdd\xff\x1f\x00\xf4OR\xf9\xc7\xb7\xdb\x8c4\xbfs@*\xf9\x18\x88jU\
\x12\x11\x00 \x143P$N\t}\xbbR\xdf\xdc\xf3\xd3\xc6kl\xa3}\x92\x8d\xac\x81\x1f\
\r7\xf8l\x99;Q\x9a\x93\'\xb2#\xb2\xb28\xae#,\xeb\xe1F\x00\x1a5\xe0\x909\xe4\
\xe8(\xf4\x98\x85P\x03M\xbb\x02\xb4\xc3\xa4\xc1\x8e\x9f7\x8d\x14\xfek\x80c\
\x1fU\x1cd\x96\xe8\x9c\xbe!j\xaa\xf2;\xb1\xbb\xf1al\x8en\x85F\xcb\x93\xa7\
\x94\xc4hj\x18}\xc3\x970\xed\xfb\x00\xd1\xfb\xb5\t\xc3\xab=q\xa6e\xf6\xcf\
\x9f\x1a\xe0\xbb\x03\xa1\xe3\xc5\x19\xd1\x91\xbb\x16\xd0\xbf\xba\xa3\x1d\x8d\
\xd1\xed\xeb\r\x08\x00\x90\x98\x8a\xe3O7_A\xa8-\xcf=\x11\xed\xc4\xd9\x1d\xd9\
\x97>1\xc0\xd1\xeb\xa1o\xe5\'E\xa7\xbcU\x8d\xc7\xf7\x1c\x87\xdf\x1d\x02\xa0\
\x90\x93IH\xa9\x80\xf9g\xfe-\x01\xa5\x00\xa2\x08*\xbd\xd5\x00\x08r\xc54^\x7f\
\xff4\x8c-3\xf0\xc7\xb4\'\xce\xed\xcavm\x18\xe0\xdb\xef\x87\xf6:9\xd1c\xdd\
\x0c\x9b\x8f\xb7\x1d\x87\xd7\x1d\x00\x00\x08\xb3\x00\xc7LaG\xf0\xe1y\xd3e\
\xbaz\xfb]T\x86#\xd0\xb9\x0f\x000W\x9c\xc5\x1b\xd7^B\xa05o\xbb\x83\xda\x81_\
\xed\xc9^Y\xee\xb5\xe2/\xb80~\x8a0G\x9eN\x0f\xc2\xfc\xda\xf6oB\xd7\r\x10\x9f\
\x03o\xa5\x86\x12\xe1\x88\x89\xfb\xd1\x16yt\xd5\xac\xcd\xe6\xa7\xe0T\x8c\xc2\
cpXi\x01\xb70\xf1\xa5m\xdf@\xf7\xe0+f\xf4s\xf2\xf4\x85\xf1S_\xf8z\xed\xa9\
\xb2\x11\xaf\xd8\x07^\x1b\xea8\\\x98T\x0fn\x89|\x1ea\x7f%|5\x1c\xbe\x98\x001\
JP(\xadj\xfc\xf1\x90(\x01z\t\xdeM\x02\x81:\x81hE\r\x9a*\x1e@aR=\xf8\xdaP\xc7\
\xe1\xe5\xf5W\x00\x08&\x9eb\x19\x8a\xad\xb5\xbb\x11\xaaW0\xfc\x02\x12lI\x1b\
\x01X\x94\xee\xe1\xa8\xa8W\xd8\xd9\xb0\x0f,C!\x98x\xea\xae\x00Ov\xc7\xfc\xcc\
R\x07k\x83\xcd\x88\xd4\x99\xd0MQ\xd6\xe1F\x00\xd4\xc7`%\x18\xa8K \xd6\xe0Cm\
\xb0\x19\xccR\x07\x9f\xec\x8e\xf9\xd7\x04\xb0K\xc5}\xdc\x86y_]\x0b|A\x00`\
\xabh=\x00\x0e\x05V&\xb7O\xa2es\x0b\xb8\r\xd3.\x15\xf7\xad\t \x98l"R\xc3=5\
\x9b\xa0\x08[E|]\x00\x10\xb6\xaa\xeak\xabA$\x85`\xb2\xe9.\x00\xf0\x9b\x86\
\x0f>\xbf\x06\x80\x03\xe0\xb81\xd7\x83\x9c]B\xb6\xc0`\x15(\xaa=\xcdkz\xd7\
\x85[05D0\xfcA\x01\x1f]\xcd\xe1\xadw\xde\x86-\xd3P`\xf0z)L\x97\x17\x82\xa1l\
\n\xca~C\xc9\xe0P7\x81\xae\x0b\x00\x02\x00\xd0\xe8mF@\xd5\xe0\xb1\xd83\xeb\
\x0e\xbe\xb5v?Zk\xf7\x03\x00~\xd3s\n\xf7\xed\xd1\x90\x92\xfd\x88\xd2\xedpQ?\
\\.\ry\x0b\xce\x9a\x19PL\x8d\x16\xec\x1cl\x99\x02\x08\x07\x08G\xc0\xf0cZ\xfe\
\r\x97\xd3\xbf]\x17`1.\xfc\xf3\x1c\xa6*\xdf@4\xe2\x87A5\x14\xd4\x18\x18\xb2(\
:\x16\x14S\xa3k\x02@jW\x98#\xd5\x8c\x9d\x00C\x16\x84\x08\x10"\xb0\xc9\x13E\
\xdc\xe9B<\xf7\x97u\xcd{\x87\xfe\x80~\xf52\xea\xeb*\xe0\xa2\x06\\\xd4\x00!%d\
X\x02V\x9e)H\xadl7,\x03x\xb3=7\xce\n\xe8\x9b\x98I\x83a\x1a\x96\x1a\x81\x8d$l\
L\xa0\xcaOpi\xf6\x19\x8c\x16\x06\xd64\xbf\x99\xfc\x07\xdeM\xfd\x04-\xcd\xd1%\
\xf3E%S\x19\x94\n\xaa\xef\xcd\xf6\xdc\xf8\xda\x19\x00\xa0\x18^\x1d\xbc5\t)\
\x15tJ@\t\x03%\x1c\x1aU\xb87R\x85\xdfM\x1c\xc3\xac\x93\\a>\x9e\x1d\xc2\xefo\
\xff\x10;[\xa30\xa8^&\x02\x8a\x81\xc1\t(\x86W\x97\xb7[\x01`j\x81\xb3\xa9\x11\
g\xec\xda\x9da\x18\xd4\x80K\xfb\x8f\xdc\x9a\x81-\xb5~t%\x8e\xc2\xe6\xf9\xa56\
\xd9\xe2\x0c:\x07\xbe\x83\xb6]Ue\xf5\x17\x15\x1f\xbd\x83d\xa20fj\x81\xb3\xeb\
\x02\x9c?6iq\x9b<\xd7\x7f5\x89+\xff\x1a\x84N\xf4\xb2T\x9a\xba\x1b\xcd\xf5\
\x04\x9d\x1f\x1e\x87P\x02\x0e\xb7\xf0\xeb\x1bG\xd1\xf6@\x10n\xcdUV\xd7 \x06\
\xfa\'\x12\xe8\xfb\xfb\x08\xb8M\x9e;\x7fl\xd2Z\xee\xb7\xe6}\xe0\xcb/x~Q\xb5\
\x95~o\xcb\xce*|\xb1~\x17B\xa6\xaf\xac<gY\xc8\x8cm\xc7\x9c3\x8d\xa6\x96\x0c<\
nWYy\xa1T\xc4\xe5\xd1~\xc4\xaf\'\x91\x1a\x94\xbf\xfc\xeb\xf3\xc5\xef\xaf\xe6\
\xb3\xe6\xa54\xe2\xab}z*>V-y\xeap\x9a\xf5\xa09\\\x87\xd6\xaa&Ty\x82\xf3\xe5\
\xfe Dl\x00Q\xc3@\xc8\xe3]j\x97u\n\x88\xa7\x12\xf8pv\x04\xc9~\x07\xa9Aq~S\
\xe8\x9e\xa7\xd7\xf2\xb9\xeb\x95\xec\x07\xe7\xbeB\xaf\xdf~\xef\x05_\r\x9e\
\xad\xde\xad\x13w\x88\xc0oxP\xe3\x8d \xe8\xf2\xc1\xd4\\ \x84\xc0\xe6%\xcc1\
\x0bIk\x06\xd9R\x01NV!y\x95\xab\xc2\x04^\xdc\xd5\xf8\xd0\xf3/\x1f\xed\x96\
\x9f\n`1\x0e<\xeb\xdf/\t\xffY\xb8\x89>\x14\xbe\x97\xc2_KA\xb5\xf2:R\x00\xf9q\
\x89LB"3,\xdf\xa3J?\xd9\xf3b\xbew\xbd\xbeW\x058s\xe6\x0c\xe9\xeb\xeb#CCC4\
\x9b\xcd\x92b\xb1HJ\xdc\xa6\x91Gf\xf6k\xa6<\xa4\x9bx\xc4\xac$\xcd\xbaI\x0c\
\x00\xe0\xb6bvZ\xdd\xe26.\t\x9b\xbe5\xfd\xc7\xaa\xcb\x86\xeeV\xa6i\xcap8\xac\
\xea\xea\xea\xe4\xb6m\xdb\xd4\x91#GTkk\xebJ\x80\x93\'O\xd2\xee\xeenmjjJ/\x16\
\x8b\x06\xe7\\\x17B\x18RJ])\xa5+\xa5t\x00\xbaRJ[\xf8\xd647\x0co\x0cA(\xc0\
\x9a\xc2\x9cp\xc00\x7f\x80\x08J\xa9\x00\xc0\t!\x8c\x10\xc2\t!\\\xd34\xa6\xeb\
:7M\x93UTT\xf0\xbd{\xf7\xf2\xce\xceN\xa9\xc7\xe3q\xc4\xe3q\x92\xc9d\xa8m\xdb\
\xba\x10B\x13B\xe8\x0b\xe6\xc6\x82t\xa5\x94\x81\xf9E\xab\x03\xd0\x85\x03-wGq\
\xa5\x14\xa1\x94\xba\x01\x18X8B\xa5\x94\x9c\x10B\x17\x06H)\xa5D\x88\xf9\xc3\
\xcdq\x1c\x95\xcb\xe5d"\x91\xa0\xbd\xbd\xbd\xb2l\n\xba\xba\xba\xc8\xc5\x8b\
\x17I"\x91\xa0\xb3\xb3\xb3\xd4\xb2,\xadT*Q\xce\xb9&\xa5\xa4RJ\r\x00\x91R\x12\
\xcc\xef!d\xa1\xa9\x02\xa0\x08!\x8a\x10")\xa5\x92R*5M\x13.\x97K,L\x85lhh\x90\
\x87\x0e\x1d\x92\xed\xed\xedK\xa6\x1bZ\x84\xff\xcb\xf87^\x9f\x7f\x9cb$E`\x00\
\x00\x00\x00IEND\xaeB`\x82$q\\\xb6'

#---wx.ART_GO_HOME
PROVIDER[wx.ART_GO_HOME] = \
'x\xda\x01x\x07\x87\xf8\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x07/IDATX\x85\xb5\x96[\x8c$e\x15\xc7\x7fU\xd5\xd5]}\x99K\
\xef,\xcc\xec\xee\xcc\xec\xce\x0c\xcc\xb2;\xb8\xdc\xb2J\x94D\x88\xc8\x03k4\
\x0c1\xf1\x81@\x80\x17} J\xd4\xc4\x98H\xbc\x10\x1eLL41\x84\'\x91\xc4\x07\x9e\
\xf4E\xa3\xd9\xf0 h\xbc\xb0\x0b\xc22\x10\x11\x96ee\xd9\xe9\xb9vOwO\xd7\xed;\
\xe7\xf3\xa1{f\xbawz\xb3\x8e\x89_R\x95T\xd5\xa9:\xff\xef\xfc\xff\xffs\xca\
\xb1\xd6\xf2\xffX\xcf|\xf3\xfeRi\xa0t\xe8\xf0\xd4\xd1\x91\x83\xe3\x93CX;\xd2\
l\xd6\xaf\x9f\xb9\xf1\xf8k\x93s\xf7\xbf\xbc\x15\xe7\xfc/\x00\x96\x97\xdf\xe6\
\xb9g\x9e\xb8\xfe\xa6\xe3\xb7\x1d\x1d\x9f8rC\xa9\x90\x99\xccg3\x87\x1cG\x0f\
\x079\xff\xa0\x8a9\\*\x16\x06\xb2\xbeG\x92D\xa4\xea\x03\x16\xdfI\x10o\xf8\
\x07\xd7\xdd\xf4\xe0\xf7\xb7\xbe\x95\xb9V\xb2\x1f\x7fw>;6:v\xf7\xcc\xcc\xcc\
\xc9\xf2Pps>\xe7\xdf\xe0\xa0\xb3O|\xf5\xb1\xc1l\x06\\\xcc\xaewT}\xaa\xf5\x06\
a&O\x90\xcb2\x10\x18\xb0\xcafs\x13\xf2\xc3nw\xec5\x01\x1c:p\xf0\xa7\xa7>\x7f\
\xf2k\xbe\xd3\x95\xc8\xf1\x80\x18\xd4A\xaf\x88_\\Z\'[\x1ca\xa4<\x84k\x13 \
\x05@T\x1118\xaa\xfe\x9e\x00\x14K\x85\x11Wcd;\xf9\xee\x18\xa7\xebf\xad\xd1\
\xe2\xf8\xc1C86\xee\x89Q\x11T\x04w\xaf\x00\x1c\x1c\x15\x91\x9d\xeb>\x00\xac\
\xb5TV\xea\xbcwa\x89\xca\xca\x06\xc7o\xba\x11l\xefs\x11A\xc4`\xc5\xe4\xf7\
\x04@Tc\x15\xd3\xd9y\x9f\xec\xc0\xd2j\x9d\xd3\xaf,\x00\x90\x0b\xb28\\!lk\x11\
1\x88\x11\x10\x19\xd8\x13\x00km,"W\xe4v\xba\xce \xc6\xa0\xaa\xed\x1b}L\xa5\
\xb6\xcd\xbf\x88\xe0\xaa\x14\xf6\x08\xc0\x89E\xa5\'!W\\\x89\x08\xd6j\xdf\xe4\
\x00*\x8a\x18AD\xf0\xac\xe4\xf6\x04\xc0\xf1\xbcH\xbb4\xd0\'\x02UiW\xa0\x03\
\xcaZ\xbb\r\xcfn\x95_LG\x88{\x14!\x96\xd0\x18\xe9\x11\xdf\x95J0FP\xb5l\x95\
\xa0\xfby\xb7\x00E\x0cV\x8d\xb7\'\x00i\x9aD\xc6\x08\x9e{\x95\x00\xa7C\x81J\
\x1fh`\xad"\xa6-@UAd\x8f\x00\x928\n\x8d*\xd8v\x89/\xad\x19V\xe22\xa9W&\x94\
\x0cj\x12\xd6\x16#>\\J\x18+\xbb\x0c\xb5\xd3n\xbf\xdf\xbd{\x11\xc1\x8a\xf4\
\xa0\xbc&\x808\x0eCU\xb8\xbcaX\xf3O\xb0o\xf6\x93\x8c\x15<\x1ai\x1d\xc2\r\x9a\
q\x88\x16\x0bl.%\xbcVY\xe1\xf6\xec\x8e^\xac\xb5\xdb\xe2\x93N#\x12\xedm\xdd\
\xd7\x06\x10E\xf1\x87\xd5\x02\xc1\x91y\xc6F\x0e\xb0\x91VY\xae\xbfMh\x1a\x181\
\x84FXKWX\xd7\nv\x9f\x87\x14\xf6a\xe98r\xdb\xff\x9d\xa3\x03bO\x00Z\xc5O\x0c\
\xba\x93\xa70\xc5\x11V\x13\x87\xf7W_g#Z&\x9b\x01\xb0\xc4\xa9\xd2L\x1a\xa4\
\xd6#\xd6\x84\x90M\xb6(\xb0\xaa=\xe5\x17\x11T\xf5\xbf\xa7\xe0\x1b?\xfcy\xf9\
\x96;>\xf5\xd4%s\x91\xb8Z\'W\x98\xc1\xf1o$\r7Xo\\\x06kI\xd52:|+\xb5\xc1a\x1a\
\xad\x84\xac\xd7\xdciP"]\x14t\xac\xa8\xd2c\xc3\xabi\x1b\x80\xd1\x83\xa3\xdfZ\
\xb4\x1f\x8d,,\x9dg\xa9U\xe6b#\xc5\xcbN2y\xfd\xe7X\xac\xaf\xb3\xd8\xa8\xb2\
\x1eF\xe4\x83)b\xb1D\n\xd2\xd5\x0b\xb6w\xdf\xa1@\xc5\xa0\xaa=\x8d\xe8\xaa\
\x00\xbe\xfc\xd0c\xeezZ}\xf8B\xedc*\x8d\x1c\x95\xa6\xc3f\xa24\x13\xe5\x9f\
\x95\xb7h&\t\xcd$\xe1@\xf9$abI\x15\xacm\x0f+km\x97\xff\xbb\x0e#\xa8\xc8`_\
\x00g\xcf\x9eerr2\x18\x18\x18\x18\t\x82`\xeaOg\xdfy`5\xae\x8e_X\xabPk\r\x13\
\xa5Jj\x94f,\xbc\xf1\xef\xd3\xc4\xc6rh\xdf\x9dL\xec\xbf\x9bf\xa2\xa4\xa2\xa8\
*o.Z\xde\xbc\x18\xa3\xaa]\xe2\xdb\xd1\x81\xaa\x96z\x00<\xff\xfc\xf3\xce\xd0\
\xd0P\xf9\xae\xbb\xee\x9a\xaaT*\xd3Q\x14M\x88\xc8u\xd9\xd2\xf0\xf4\xa5\xda*\
\x976\x96IL\xbb\xdb\xc5\x89a3\x11\x94\x80D,\xc3\xa5[\xa9EB31\xa4F0\xa2\xacE\
\x1eO\xbf\xb8\x80\x90\xdbE\x81\x88\xc1Z\xdb3\x8e\xddG\x1f}\xd4\x1ac|\x11\x19\
\xb0\xd6\x16\x80\x82\xb5\xb6\x80\xe3\x0cW\xaaU\x8c\x18\xea\xd1\xfb$\x89!\x8e\
\x13\xc20al\xe8\xb3$\xa2$2H=4\x18\'\x8bH\x1b\xa4\x88\x92tZ\xf3.\nD\xb0\xd6fw\
Q\xf0\xc8#\x8f\xac8\x8ec\x80\xbc\xaa\xe6\xad\xb5\xf9ds\xa3e\xd2\x04G\x15G\
\x0b$qJ\x1c\xa5Da\xc2\x80?\xc7D\xf9\x0b\xbcq\xe1\x97|X\xf9\x13d\x07\xd8\x7f\
\xf4$\xc6("\x8a\x8a\xb6-\xd8\x11\xde\x8e\x03\x14\xb0\x99]\x00\x9e}\xf6Y[,\
\x16/Zk\x03\xa0\x00\x14\x1a\x8b\xe7W\xf2\xcd\t\xdd/w2\xc4q\xe28%\x8c\x12\xc2\
0\xa6\x15\xc6\x14\xdc\xa3\x8c\x0f~\x89\x9cs\x840\x8c1^\x06\x93\x1a\xac\x08h\
\xda\xd6\xc0\x96\r\xdb\xe2\xc3\xaa\x82\xa5\xff,\xa8V\xab\x9b\xbe\xefoXk\xcb@\
6\xaa\xaf\x9ad\xbd\xf6\xc1\xe0\xbe\xa9\x1b\n\x83\x82j\x8aM\xdb\xff\xc0V\x15q\
\x1cp2\x88(\xeb\xe19*\xd5\x97ISAu\x03\x9bq\xae\x98\x01m\r\xb4\x97\xf68o\xfb"\
\x08\x82qU\x9d\xeeT \x0f\xe4G\xf5\x83Kam\x85\x9ciQ"%\xb0)\x9e\x1a\\\x11\x9c6\
\xe9\xd4[o\xb0\xdez\x89 \x93`\xf4_\xb8\xce2\x9e\xd3\xe9|\xdd\x0e\xe8\xfc\xd4\
X{\x95N\x18\x04A-MS\xaf\x93<\x0bd\xef\x9c-y\x95\x00\x96jK\x8c\x16r\x80\x8bZP\
U\xac\xe3\xa0\xd6a\xd0+\xe3\x06c\x0c\xba\xe3X\xbf\x8a\x8b\x10P\xe8\xf1~{\x14\
+\xae\xebQ*\x1f\xfc]\xdf\n\xd4j\xb5\xa6\xef\xfb\x7f\x04r[NPU\xff\xeb_\xb9\
\x07?ZC\x9akdd\x05\x9fE2\xf6#|\xbd\xcc\x00\x11\x07\xb2c\x1c+\xde\xcf\x91\xfc\
\x1c\xfb3S\x0c1\x8a+\xb2\x8b\x02\xc7\xf18r\xf3=/\xce\xde~\xea\x81\xbe\x00\
\x00\xa2(\xfa\xd8u\xdd?o9A\xd4f\xde]\x1f\xe6\xe1\x93\x8a.\x9d\xa1\xdez\x8bM\
\xfb7"\xce\x908\xaf"\xde\xdf):\x1b\x14m\x8b@6\x19\x19\x1c m\x86\xd1\xe5\x0b\
\xef\x9c\xde\xa1@\xc0q\x99\xbe\xe5\xde_\xcc\xde\xf6\xc5\x87r\xe5\xd9\xb4/\
\x05[+M\xd3\xb3\x99L\xe6:U=\xb1\xd9\x8au:\xfe\xad\xad4\xce9\x0f\xce\x84\xbc[\
-q\xa15CR\x18\xa2Tvq\xbd\x14\xeb\xbc\x8f\x1f\x8d\xb3\xbe\xb6\xd6\xa8\xd6\xaa\
\xaf\xfc\xe5\xf4o^\x9f>\x90/\x8b\x98\xfb\xda\xc9=\xa6N\xdc\xfb\xb3\xd9[\xee{\
\x92\xe2\xe1]\xbf\xad}\xa7\xa11\xe6\xf7\x13\x13\x13/=\xf7\xc2\x1f\xce\xbfz\
\xf6\xdc\xc6O\xbe\xf7\xf0wr\x19.N\xdfv\xe0\xaf\xe7>\xd8|\xe7\xc9\xa7_\xf0\
\xf7\x8f\xcf\x9c\x18\x1e.\x8f\x99$J\x17/]\\\xae\xbc\xf7\x8fw\xb1\xba\x9a\xc9\
d\xd6J\x85\xec)1\x82\xe3\xfaL\xce}\xfaGG\xeex\xe8\xa9~y\x80\x9d\xc1\xb1\x97\
\xe3\xcc\x993\xcc\xcf\xcf\xbb\xc7\x8e\x1d\xf3\xa7\xa6\xa6rsss\xfe\xfc\xfc\
\xbc\xbb\xb0\xb0\x80\xb5\x96o?\xfe\x99\xf2\xf93\xbfz\xea\xf2\xc2\xaf\x1f\xbf\
\xd6\xb7\xfe\x03\x14 -\x99u}%\xb9\x00\x00\x00\x00IEND\xaeB`\x82\x01%\xa1V'

#---wx.ART_GO_UP
PROVIDER[wx.ART_GO_UP] = \
'x\xda\x019\x07\xc6\xf8\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x06\xf0IDATX\x85\xcd\x96]lT\xc7\x15\xc7\xff\xf3qw\xef~\xd9\
kcX\xdb\xf8+6\x04\x83\x03\x14B\x05\x91 (\xaa\x9bV\x95ZHR\xda\x97\x16\xc5\xa8\
i%\x82"\xd1\x077TU\x95V}@y(\x91HiP\xfaP\xd9/Q\x9b\xa8\xa4\xa0\xaa\x8d\x93<\
\x14\x0b\x88lC\x08^\x82)x\xb1\xe3o\xec\xf5z\xed\xdd\xbd\xf7\xceW\x1f\x0c[\
\xec\xc5\x98\xa4\xaa\xd2#\xfd\xa5\xab;3\xe7\xfcf\xce\xcc\x9c!\xc6\x18|\x99F\
\xbf\xd4\xe8\xff\x0f\x00\xfc\xf3t\xfe\xe5\xad-VR\x0e\xec\xd2F\x7f\x0b\xc44\
\x19\x8d2\x00 \x14\x930$N\t\xfd[)\xaf=\xfb\xeb\xbaK\xe2a}\x92\x87\xd9\x03?\
\xed\xaf\t9:}\xd8\x9b\xd5\x87g\x06uin\x84#\xaa\xab\xe1G\x04\x8cZp\xc9,\xd2t\
\x08<\x96Eq\rM\xfa"\xf4\x98M\x8b\x8e\xfd\xb6~0\xf3_\x03\x1c\xfcWI\xb3\xc8\
\xaa\xb6\xdbWT\xc5\x8a\xb9\xc7\xb0\xb5\xee)\xd4\xae\\\x07F\x17.\x9e1\x1aCS\
\xfd\xe8\xea\x7f\x0f\xb7C\x9f`\xe5F6j\x05\xd9\xfe\x13k\xa7\xdf\xff\xc2\x00?\
\xb9Z|(7\xa9\x8e\xa5/E\xf876\xb4\xa0n\xe5\xfa\xe5&\x04\x00HL\xc4\xf1\x8fO\
\xff\x88\xe2-s2P\xc6\x0e\x9f\xdc0\xf3\xfa\xe7\x06x\xe1r\xf1\x0f\xe7\xc6U\x9b\
\xbeQ\x8eg\x1f?\x84\xb0\xbf\xb8\xa0\x8f\x82\x07J\x18\x88a\x05m\xe9\\\x12\xef\
\xf4\x1c\x87\xf5\xe8$\xc21\xb6\xff\xcd\xcd3\xed\x0f\r\xf0\xa3\x9e\xe2mnZ\x9d\
\xcd~\x1a\xb5\x9f\xddr\x08A\x7f\x04\x00\xc0\x83\x04\xbe \x01\x0f\x10\x80)|r\
\xeb\x02\x8c1\xd8R\xbf\x13Z\x02\xd21\x10Y\x03/3\xefs67\x8d\xbf\\z\x1d\x91\
\xa69\xc7_\xc4v\xfd\xe1\xf1\x99\xee\xc5\xb1\n\x8e\xe1\xe9\x91W\x88p\xf5\xf1d\
\x1f\xec\xa7\xd6\x7f\x0f\x9c[ !\x17\xa1j\x89`\xb9\x04/\x12\x00wqe\xa8\x13\
\xfb\xd7\x1f\xc5s\r?\xc7\xc7\x89N\xc0\xf2\xc0#\x02\x81\x98D\xa4F\x82\x85]\
\xf8}6v7>\x87\xa9>c\x0bW\x1f?=\xf2\nY\x16\xe0\xed\x9b\xc7\xf6f\xc6\xcd\x8eG\
\xcb\xbe\x8ah\xb8\x14\xa1\n\x89PL\x81X\x1e4\\h\xb8\xb8:\xf1\x11\x9e\xa9;\x82\
\x15\x81\xd5\xa8\x8dn\xc0\xd7*~\x8c\xab\x03=\xf9vp\x0f\xc1U\n\x91*\x85\x95%\
\x15\xa8/\xf9\n2\xe3f\xc7\xdb7\x8f\xed]\x16@\tu@\xa4(\xd6UnEq\xb5\x81\x15V\
\xd0\x10y%RW\xf0d\xd9\x01\xd4\x16m\xca\x8f\xd9T\xf1$6\x85\xbf\x8d\xfe\x91k\
\xd0\xf0\xf2\xe2\x01\x89\x92j\x83\xc7j\xb6C\xa4(\x94P\x07\x1e\x08\xf0|G,,\
\xb2\xa6\xb9\xb2h\r\xca\xaalp[-p8\x96\xe9\xc7\xba@36\xafh^\xec\x07\xbb\x1b\
\xbe\x8bUb\x0bF\'?[\x00L}\n\xb1\x9a\x10*\x8b\xd6@dM\xf3\xf3\x1d\xb1\xf0\x92\
\x00\x8e\x97\xdb.\x1d\xd8\rUk\x11*\x02\x00\x91W\xda\x9b@\x14\r\xd8\x1d\xdb_\
\x10\xfc\xae=\xb3\xf9\x10\xf4D\x19R\xe9I\x18\x88\xbc\xfc!\x8d\xb5\xb5k!\x1d\
\xd8\x8e\x97\xdb\xbe$\x80\x12\xba\x9eh\x86\xd5\x15\xab`\x88\xc8+\xa7\xd3\x10\
\x1e\xc7w*\x7f\xb6d\xf0\xfc*\xee\xf8\x15F\xaf\x0b\xe4\x9cY\x80\x88\xbc\xaa+\
\xcbA4\x85\x12\xba\xfe\x01\x00\x08\xdbV\x08\xa10\x03 \x01H(\xe3 \xe9L\xe3\
\xfb\x95\xaf\x82\x90\xe5k\x17\xa5\x0c/\xee~\rWzna\xc4\xb9\x04G\'a \x10\x0cR\
\xd8\xbe \x94\xc0\xd2)\xd0\x02.e\x04\x9c\xab<y\xef\xdc94\xd8\xbbpq\xe6\x0c.L\
\xfd\x19\xd3\xee\xc8\x92\xc1\'\xe7F\xf0\xe1\xb5?\xa1\xf3\xfail,\xfb&\xcev\\\
\xc3\x94\xee\x85@\n\x84J\xf8|\x0cZ\xc0\xbdw\xcc\x82\x0b\xdd\x083\x94q\xd2p\
\xf4\x14l6\x7f\xf35F6"i\xce!i\x00W;\x10)\x17\xbbb?\xb8/@\xcf\xe0\xfb\x88\xfb\
^\x83?\xc4\x81\x08\xb0cu%,\xca\x901\xc3 \xa4\x1c97\x0b#\xcc\xd0\x92\x00\xd0\
\xac[\xb8\xd2L:\t\x12\x0b=\x02\x1f\t\xc3fV\xbe\x99\x10\x89\x85\xfc\x85V\x1c\
\x0e \x10\xb0\x16\xfd\xf5\x90\x12\td\xe7\x84\x81f\x0bn\xc3\x05)x\xb7%="2\xe8\
\x1a\x9dLB\xe06\xb2f\x10\x0e\xc6\xe0`\x1493\x84\x9c\x19~pt\x00\x16\xe5\xf0Q\
\xab@cS)x\x19\xd3\xf5nKzA\x0e\x0bv\x95\x11x\xab\xef\xc68\xb46\xe0\x94\x80\
\x12\x01J$\x185\xe0\xb4\xb0\xe8\xdc\x0f`\xb1\x08(\xae\xf6\x8d\xc2\x08\xbc\
\xb5\xb8\x7f\x01\x80\xcd"\'\xa7\x06\xdd\xe1K\x03\xfd\xb0\xa8\x05\x1f\xbbGt\
\xf1\xd2\x16\x9ao\xf1\x18f!>4\x80\xb1Df\xd8f\x91\x93\xcb\x02\x9c:8\x9e\x95\
\x0e9\xd2{q\x0c\xdd\x9f\xf5\x81\x93\xff,\xa9E\x97\x7f\xc1\xdd\x9b\x02\x8bX\
\xe8\x1dM\xa0\xeb\xa3AH\x87\x1c9up<\xbb,\x00\x00|\xd0\x9am\x9f\x1d2o\\\xbe<\
\x84\x0f\xfb\xbb\x91\xf3\xbc\xbc\xd3\xe5\x01\xe6\xfb\t)\xf1\xcf\x81\x8fq\xa1\
\xbb\x1f\xb3C\xe6\x8d\x0fZ\xb3\xf7}\x0f,9\xa5\xb2P\xe5K\x13\xf1\xe1r-\xa7\
\xf6&\xc5Y\xac\x89V\xa1\xb1\xb4\x0e\xfd\xee\xef\x11O\x9c\x84V\x80V\x80Q\x06F\
\xce\x7f+\xa5\xb0\x9e\xaeB\xf7\xd85\\\x9f\x1e\xc4X\xaf\x8b\xa9>ujU\xf1\xea\
\x97\x96\x8a\xf3\xc0\'\xd9\x8bo~\x9d^\xbe\xd5\xf9\x9bP\x05^.\xdf\xca\x89\xbf\
\x98 l\x05P\x11,C\x91/\x04\x9b\xf9@\x08\x81#=\xcc\x8a,\xc6\xb2\x93\x98\xf12p\
g\x0c\xc6.J\x93\x19\xc5\xd1\xcdu;\x7f\xf1\xbb\x17:\xf4\x17\x02\xb8k\xbb^\x0e\
?\xa1\x89|5ZOwF\x1f\xa1\x08WR,>\x10Z\x01s#\x1a\xa9\x84F\xaa_wR\xc3[\xcf\x1e\
\x9d;\xbf\x9c\xef\xfb\x02\x9c8q\x82tuu\x91\x9b7o\xd2\x99\x99\x19\x92\xcb\xe5\
\x88\'\x1dZ\xf6\xf4\xe4\x13\xcc\xd6{\xb8\x8d\xa7\xedR\xb2\x86\xdb\xc4\x02\
\x00\xe9\x18\xe1$\xcd\r\xe9\xe0=\xe5\xd0\xbf\xde\xfe\xfb\x8as\x16\xf7\x1b\
\xdb\xb6u4\x1a5UUU\xba\xb1\xb1\xd1\xec\xdb\xb7\xcf455\x15\x02\xb4\xb6\xb6\
\xd2\x8e\x8e\x0e611\xc1s\xb9\x9c%\xa5\xe4J)Kk\xcd\x8d1\xdc\x18\xc3\x01pc\x0c\
\xbb\xf3\xcd\x98\x1fV0\x86"\x18 ;\x81Y\xe5B\x00P\x00\x14\xa5T\x01\x90\x84\
\x10A\x08\x91\x84\x10\xc9\x18\x13\x9csi\xdb\xb6())\x91\xdb\xb6m\x93mmm\x9a\
\xc7\xe3q\xc4\xe3q\x92J\xa5\xa8\xe38\\)\xc5\x94R\xfcNp\xeb\x8e\xb81\xc6\xc2\
\xfc\xa6\xe5\x00\xb8r\xc1\xd2\x03F\x1ac\x08\xa5\xd4\x0f\xc0\xc2\x9d\x12\xaa\
\xb5\x96d\xbet\x12c\x0c\xa5\x94\x12\xa5\x14\x00\xc0u]\x93N\xa7u"\x91\xa0\xe7\
\xcf\x9f\xd7\x0bR\xd0\xde\xdeN\xce\x9c9C\x12\x89\x04\x9d\x9e\x9e\xa6\xd9l\
\x96y\x9eG\xa5\x94LkM\xb5\xd6\x0c\x00\xd1Z\x13\xcc\x1f\xe1\xbb\x8fL\x03\xc0\
\x10B\x0c!DSJ5\xa5T3\xc6\x94\xcf\xe7SwR\xa1kjj\xf4\x9e={tKKK>\xe8Cm\xc2\xff\
\xa5\xfd\x1b\xac\x1e\x82\x18@\xe9\xdd\xa1\x00\x00\x00\x00IEND\xaeB`\x82XuXz'\

#---wx.ART_TIP
PROVIDER[wx.ART_TIP] = \
'x\xda\x01G\x06\xb8\xf9\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00 \x00\
\x00\x00 \x08\x06\x00\x00\x00szz\xf4\x00\x00\x00\x04sBIT\x08\x08\x08\x08|\
\x08d\x88\x00\x00\x05\xfeIDATX\x85\xd5W[l\x14U\x18\xfe\xfe3gvg/\xdd\xed\x14)\
\x8b\xdb\x14\xcaum\xb1\x0fZ/\x14\x8d\xd7\x07\x84@E\x82\xb7\xc4\x18xQ\xdf\x95\
h\xd0\xc4D\x13\x8d\x97\xf8F\xf4\xc5\x07\x9ax\x8dF\x14\x85\x045DCk\xc5\xf8\
\xd0\xa6\xb5h\xcb"\xb2\xa5\x94\xb2\xdb\xbdtgv.\xe7\xf80\xdd\xd2\xeeE\x115\
\xc6/\xf9\xb3;g\xfe\xf9\xffo\xce\x7f9\xff\x90\x94\x12\xff%\xd8\x7f\xea\xfd\
\x7fK`\xdf\x1b\xbd\xa4o\xd8\xb1$\xb8vkGp\xed\xd6\x0e}\xc3\x8e%\xfb\xde\xe8\
\xa5+\xb1E\x97\x9b\x03K:w\x86\xf2\x85\xe2\x03R\xcam,\x1c\xbf\x9b\xc2\xb1\xb0\
\x1aj\x02\x00\xd8\xb3i\xc8\xc2dA\x14R_\x12\xd1g\r\xe1\xe0\xfb\x17\x07?\x9a\
\xfdG\x08\xac\xec~D\x9d\x98\x9c~\x0cZ\xd3\xb3\xe1k\xb6/\xbb\xf6\xfaMX\xb5"\
\x0eF\x80\xedz:\xaa\x02\x08\t\x9c\xfau\x02C?\x1eGa\xe4\xe0y\x98\xe9\x17\xaf\
\x8e]\xf5\xd6\xe9\xbe^\xfb\x8a\t\x84\xd7o[Vr\xe4\x87\xbe\xf6\x87n\xed\xbam;\
\xd6\xc5C\xb8\x90g\x08\xf9\x81\xe5\x11 \xec\x07\x88\x80\xbc\tLd\x81\x9c\t,\
\x8f\n\xfc<a\xe0\x87c\x9f\xc0\x1ay\xf7[?\xa7]\x85\x93\x9f\x9d\xff\xcb\x04\
\x82k\xb6\xaev\xd4\xe8\xb1\xe0\xc6\xa7Z6\xdf\xb2\x01\xa6\xab"\x1e\x05\xae\
\x89yNkAJ`(\x05L\xe4\x81\x10\xb7q\xe4\xdb!\x14\xbf{\xed,\xb7gn/\x8e}1~\xd9\
\x04\xa2\xed\xdbu\xc3Q\xfb\xb4;^Nl\xb9\xa9\ri\x83\xe3\xe6\x95\xde\x1b\x97\
\xc1*H\x88\x05fr&\xf0\xc3\x19\xa0Qs\xf0\xc5w\xa7`\x1e{f4\xc0\xed\xee\xec\xc8\
\xa7\x99J_5\xab\xa0h\xd8o\xfao\xda\x9b\xe8j_\x81\x8b\x06G{\xccsX\xb4<\x89E\
\x80\'\xefZ,\xb9\x91\x83\xf3\xf79\x036,\x07\xf2\x16GWG\x1b|7>\x99(\x1a\xf6\
\x9b\xb5|U\x11\xf0\xaf\xbeg\x93\x12\xef\xbe?\xb2\xf2\x064GT(\x04\xf88P\xb4/I\
\xc9\xa964}.\xb9H\x871 \xaa\x01\xcd\x11\x15\xd1\xd6\xeb\xa0\xc4\xbb\xef\xf7\
\xaf\xbegS\xe5s\xbcrAHz.\xd0\xb9\x07\xed1\xc2o3\x84\x15:`V\xe4\xf1O\x93\xc0\
\xa3/}\x05\xcb\xcc\xcf\xafY\xfe\x0e\xa8\x15zM!`h\x02h\x8f\x11\x06:\xf7\xc0\
\x98\xe8\x7f\x0e\xc0\xe6\xba\x04\x1a\x12=:kZ\x7f\xa7\x12\x89#\xa2y\xd9=cx\
\xf74\x15P\xe6\xf6\x8b\x11\x10]{\xd7"g\xa6\rL\x17\xbc\x10H\t\x845 \xe4\xf3\
\xfeGB*\x94H\x1c\xaci\xfd\x9d\r\x89\x1e=?zp>\x17\x16\x11(Y\xd6f5\xbeQ\xd5\
\x03\xde6\xab\x1c\xc8[\x9e\x00\x80O\x01\x02\x1c\xe8j\x05\x9e\xdf\xb2\xf8m\
\x1f}\xfe#\x9c\xd5w\xce_gL\x80\x13 \t(\xb9\x04=\x00X\xf1\x8djiht3\x80w\xcbz\
\x159 ;\x99\xbe\x06\x01\x15p\x84\xe7p\xa1\x00\x80\xe1x1\xae\x84\x9d\xfd\xadJ\
\x9f1\xef\xd7\x11@@\x05\x98\xbe\x06\x80\xec\xac\x1b\x02)\xb1\x944\x1d\x9cy\
\xcc\xcaN+\xc1k\xd4\x0e\xa3\xfa\xfa4\xf7\x0ci:\xa4\xc4\xd2\xba\x04\xcap\x85\
\x17\xefz\r\xa7\x16\x01"\xaf%\xd7\x82\x94\x9e\xcd\x9a\xb6*\x8c\\\x90f\x06\
\xa6\xd3\x06\xc6\xea\x1b\xe45\xd6\xd9\\\xb9\xd6\x82\xed\x02\xa6\x03H3\x03"\\\
\xa8K\x00\xa0A\x91\x19\x83a_\x07\xd7\xf5\xb2\xb8&\x81:;P/\x04\xa6\x05\x186 2\
c\x00hp\x11\xf1\x85\x17~\x9f\xef\x88\x93\xea\xb7g- kV\'aY\xd4?\xc8\x81Z\x925\
\x81Y\x0bpR\xfd\xb6\xdf\xe7;R\x97@~\xf4`F\xa4O~-\xf2)Ld\x01[x\xa5X)J\x9d\x10\
\xd4\xd2\xb5\x85wR\x8a|\n"}\xf2\xeb\x85=\xa0\x8a\x80gH\xbe`\r\xbe\x8d\x19\
\x038\x93\xae\xb3\x035\x08P\x9d\x1d8\x93\xf6\x9a\x995\xf86\x18\xc9\x17\xaa\
\xfcU.\x94\xc6\x0f\x1fwS}\x1fX\xa9\x01\x8cM\x03\x93\xb9j\xa3\x7fT\x86\x0be2\
\x07\x8cM\x03Vj\x00n\xaa\xef\x83\xd2\xf8\xe1\xe3\x95\xcf\xd5\xcc\xdb`@}\xdc\
\x18x\xa5\x93\x82\xaf&\x06h\x15B>\xef\x04,\xe3l\x06x\xe2\xf5\xaf`\x19\x97\
\xce\x023\x98@t\xc1\xceL\xe6\x80\x81\xd3\xc0\xec\x85S(\r\xbc2\x1a\x0c\xa8\
\x8f\xd7\xf2\xf5\xa7\x03\x89\x7f\xe3\xd3-\x81X\'6\xb5\x01\xed\xcb\xeb\xf7\
\x862\xa4\x04F\xce\x01\xc7\x93\x8019\x88R\xff\xcb\x7f} )\xa3<\x92\xa9\xed\
\x0f\xdf\xea[w\x1f\x96\xe9\x1an\\\x01\xb45U\xf7\x02\xc7\x05\x92i\xe0\xfb_\
\x81\xf3\x19\x13\xd6\xcf\x1f\xc3\x1ey\xe7\xcaG\xb22\x16\x0e\xa5|\xed\xbd\xcb\
xK7\xfc\xd18\x9a\xc3\x97&\xa4B\t\x98*\x00\xa5l\n\xce\xd9>8\xbf|\xf2\xf7\x86\
\xd2\xfd\xfb\xf7\xd3\x89\x13\'h||\x9ce\xb3Y2\x0c\x83\xce\x97\x1a\x1b\x0c4<(@\
[XC\xfc6\n\xc5B\xa4yc\xb94\xd3\x90\xb3\x93\xb3"\x9f\xfa\x86A~\xae!\xf7^\xb3\
\x9a)h\x9a&\x1a\x1b\x1beKK\x8bH$\x12r\xd7\xae]\xb2\xa3\xa3\xa3\x9a\xc0\xde\
\xbd{\xd9\xd1\xa3G\x95\xa9\xa9)n\x18\x86\xea8\x0ew]W\x15Bp)%\x97Rr\x00\\J\
\xa9H)9\x88\x14\xa8\x91&\xc9C\xcd\x00@\xce\xec\x14\xec\\\x06R\xba\x00\\\xc6\
\x98\x0b\xc0!"\x9b\x88\x1c"r\x14E\xb19\xe7\x8e\xa6i\xb6\xae\xebNWW\x97s\xe0\
\xc0\x01\xc1\x87\x87\x871<<L333\xcc4M\xee\xba\xae\xe2\xba.\x9fs\xae\xce\t\
\x97R\xaa\xf0\xaa\x86CJ\x0e+k\xa14sNJI\xe49\x0c\x02p\x008B\x08\x87\x88\xd8\
\xdc\x0b2\xc6\x18\xb9\xae\xf7\x11Q*\x95d.\x97\x13\xc9d\x92\xf5\xf7\xf7\x8bE!\
\xe8\xed\xed\xa5C\x87\x0eQ2\x99d\x99L\x86\x15\x8bE\xc5\xb2,\xe68\x8e"\x84`B\
\x08\x05\x00\t!\x08^\x0f)\xd7\x84\x04 \x89H\x12\x91`\x8c\t\xc6\x98P\x14\xc5\
\xf5\xf9|\xee\\(Dkk\xab\xe8\xe9\xe9\x11\xbbw\xef\x9ewz\xd9\x9ff\xff\x16~\x07\
Zu\xd2\xa4a#\x98D\x00\x00\x00\x00IEND\xaeB`\x82\xd6\xe1\xdf\xa6'
